/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         gtkdialog_parse
#define yylex           gtkdialog_lex
#define yyerror         gtkdialog_error
#define yydebug         gtkdialog_debug
#define yynerrs         gtkdialog_nerrs
#define yylval          gtkdialog_lval
#define yychar          gtkdialog_char

/* First part of user prologue.  */
#line 1 "../src/gtkdialog_parser.y"

/*
 * gtkdialog_parser.y: A simple grammar for the XML-like language we use.
 * Gtkdialog - A small utility for fast and easy GUI building.
 * Copyright (C) 2003-2007  László Pere <pipas@linux.pte.hu>
 * Copyright (C) 2011-2012  Thunor <thunorsif@hotmail.com>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

/*
**
** $Id: parser.y,v 1.5 2004/11/25 21:16:57 root Exp root $
** $Log: parser.y,v $
** Revision 1.5  2004/11/25 21:16:57  root
** *** empty log message ***
**
** Revision 1.4  2004/11/25 21:15:21  root
**   o No, the grammar still has problems.
**
** Revision 1.2  2004/11/25 19:53:03  pipas
**   o New object: tag attributes.
**
** Revision 1.1  2004/11/19 22:10:08  pipas
** Initial revision
**
*/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <gtk/gtk.h>

#include "gtkdialog.h"
#include "config.h"
#include "automaton.h"
#include "attributes.h"
#include "gtkdialog_parser.h"
#include "tag_attributes.h"

int linenumber = 1;
extern gchar *Token;
extern gboolean option_no_warning;
extern gboolean option_print_ir;

//
// Function declarations
//
int yywarning(char *c);
void yyerror_simple(char *c);
void run_program(void);
void print_program(void);
int  gtkdialog_lex(void);
int  gtkdialog_error(char *);

static inline void
start_up(void) 
{
	if (!option_print_ir) {
		run_program();
		return;
	} else {
		print_program();
		exit(EXIT_SUCCESS);
	}
}


#line 159 "src/gtkdialog.p/gtkdialog_parser.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "gtkdialog_parser.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_WINDOW = 3,                     /* WINDOW  */
  YYSYMBOL_PART_WINDOW = 4,                /* PART_WINDOW  */
  YYSYMBOL_EWINDOW = 5,                    /* EWINDOW  */
  YYSYMBOL_VBOX = 6,                       /* VBOX  */
  YYSYMBOL_PART_VBOX = 7,                  /* PART_VBOX  */
  YYSYMBOL_EVBOX = 8,                      /* EVBOX  */
  YYSYMBOL_HBOX = 9,                       /* HBOX  */
  YYSYMBOL_PART_HBOX = 10,                 /* PART_HBOX  */
  YYSYMBOL_EHBOX = 11,                     /* EHBOX  */
  YYSYMBOL_NOTEBOOK = 12,                  /* NOTEBOOK  */
  YYSYMBOL_ENOTEBOOK = 13,                 /* ENOTEBOOK  */
  YYSYMBOL_PART_NOTEBOOK = 14,             /* PART_NOTEBOOK  */
  YYSYMBOL_FRAME = 15,                     /* FRAME  */
  YYSYMBOL_TAG_ATTR_NAME = 16,             /* TAG_ATTR_NAME  */
  YYSYMBOL_EFRAME = 17,                    /* EFRAME  */
  YYSYMBOL_ENTRY = 18,                     /* ENTRY  */
  YYSYMBOL_EENTRY = 19,                    /* EENTRY  */
  YYSYMBOL_PART_ENTRY = 20,                /* PART_ENTRY  */
  YYSYMBOL_MENUBAR = 21,                   /* MENUBAR  */
  YYSYMBOL_PART_MENUBAR = 22,              /* PART_MENUBAR  */
  YYSYMBOL_EMENUBAR = 23,                  /* EMENUBAR  */
  YYSYMBOL_MENU = 24,                      /* MENU  */
  YYSYMBOL_PART_MENU = 25,                 /* PART_MENU  */
  YYSYMBOL_EMENU = 26,                     /* EMENU  */
  YYSYMBOL_MENUITEM = 27,                  /* MENUITEM  */
  YYSYMBOL_PART_MENUITEM = 28,             /* PART_MENUITEM  */
  YYSYMBOL_EMENUITEM = 29,                 /* EMENUITEM  */
  YYSYMBOL_MENUITEMSEPARATOR = 30,         /* MENUITEMSEPARATOR  */
  YYSYMBOL_EMENUITEMSEPARATOR = 31,        /* EMENUITEMSEPARATOR  */
  YYSYMBOL_EDIT = 32,                      /* EDIT  */
  YYSYMBOL_PART_EDIT = 33,                 /* PART_EDIT  */
  YYSYMBOL_EEDIT = 34,                     /* EEDIT  */
  YYSYMBOL_TREE = 35,                      /* TREE  */
  YYSYMBOL_PART_TREE = 36,                 /* PART_TREE  */
  YYSYMBOL_ETREE = 37,                     /* ETREE  */
  YYSYMBOL_CHOOSER = 38,                   /* CHOOSER  */
  YYSYMBOL_PART_CHOOSER = 39,              /* PART_CHOOSER  */
  YYSYMBOL_ECHOOSER = 40,                  /* ECHOOSER  */
  YYSYMBOL_LABEL = 41,                     /* LABEL  */
  YYSYMBOL_ELABEL = 42,                    /* ELABEL  */
  YYSYMBOL_ITEM = 43,                      /* ITEM  */
  YYSYMBOL_EITEM = 44,                     /* EITEM  */
  YYSYMBOL_PART_ITEM = 45,                 /* PART_ITEM  */
  YYSYMBOL_BUTTON = 46,                    /* BUTTON  */
  YYSYMBOL_PART_BUTTON = 47,               /* PART_BUTTON  */
  YYSYMBOL_EBUTTON = 48,                   /* EBUTTON  */
  YYSYMBOL_BUTTONOK = 49,                  /* BUTTONOK  */
  YYSYMBOL_BUTTONCANCEL = 50,              /* BUTTONCANCEL  */
  YYSYMBOL_BUTTONHELP = 51,                /* BUTTONHELP  */
  YYSYMBOL_BUTTONYES = 52,                 /* BUTTONYES  */
  YYSYMBOL_BUTTONNO = 53,                  /* BUTTONNO  */
  YYSYMBOL_CHECKBOX = 54,                  /* CHECKBOX  */
  YYSYMBOL_ECHECKBOX = 55,                 /* ECHECKBOX  */
  YYSYMBOL_PART_CHECKBOX = 56,             /* PART_CHECKBOX  */
  YYSYMBOL_RADIO = 57,                     /* RADIO  */
  YYSYMBOL_ERADIO = 58,                    /* ERADIO  */
  YYSYMBOL_PART_RADIO = 59,                /* PART_RADIO  */
  YYSYMBOL_PROGRESSBAR = 60,               /* PROGRESSBAR  */
  YYSYMBOL_EPROGRESSBAR = 61,              /* EPROGRESSBAR  */
  YYSYMBOL_PART_PROGRESSBAR = 62,          /* PART_PROGRESSBAR  */
  YYSYMBOL_LIST = 63,                      /* LIST  */
  YYSYMBOL_PART_LIST = 64,                 /* PART_LIST  */
  YYSYMBOL_ELIST = 65,                     /* ELIST  */
  YYSYMBOL_TABLE = 66,                     /* TABLE  */
  YYSYMBOL_ETABLE = 67,                    /* ETABLE  */
  YYSYMBOL_PART_TABLE = 68,                /* PART_TABLE  */
  YYSYMBOL_COMBOBOX = 69,                  /* COMBOBOX  */
  YYSYMBOL_PART_COMBOBOX = 70,             /* PART_COMBOBOX  */
  YYSYMBOL_ECOMBOBOX = 71,                 /* ECOMBOBOX  */
  YYSYMBOL_GVIM = 72,                      /* GVIM  */
  YYSYMBOL_EGVIM = 73,                     /* EGVIM  */
  YYSYMBOL_TEXT = 74,                      /* TEXT  */
  YYSYMBOL_PART_TEXT = 75,                 /* PART_TEXT  */
  YYSYMBOL_ETEXT = 76,                     /* ETEXT  */
  YYSYMBOL_PIXMAP = 77,                    /* PIXMAP  */
  YYSYMBOL_PART_PIXMAP = 78,               /* PART_PIXMAP  */
  YYSYMBOL_EPIXMAP = 79,                   /* EPIXMAP  */
  YYSYMBOL_DEFAULT = 80,                   /* DEFAULT  */
  YYSYMBOL_EDEFAULT = 81,                  /* EDEFAULT  */
  YYSYMBOL_SENSITIVE = 82,                 /* SENSITIVE  */
  YYSYMBOL_ESENSITIVE = 83,                /* ESENSITIVE  */
  YYSYMBOL_VARIABLE = 84,                  /* VARIABLE  */
  YYSYMBOL_PART_VARIABLE = 85,             /* PART_VARIABLE  */
  YYSYMBOL_EVARIABLE = 86,                 /* EVARIABLE  */
  YYSYMBOL_WIDTH = 87,                     /* WIDTH  */
  YYSYMBOL_EWIDTH = 88,                    /* EWIDTH  */
  YYSYMBOL_HEIGHT = 89,                    /* HEIGHT  */
  YYSYMBOL_EHEIGHT = 90,                   /* EHEIGHT  */
  YYSYMBOL_INPUT = 91,                     /* INPUT  */
  YYSYMBOL_INPUTFILE = 92,                 /* INPUTFILE  */
  YYSYMBOL_EINPUT = 93,                    /* EINPUT  */
  YYSYMBOL_PART_INPUT = 94,                /* PART_INPUT  */
  YYSYMBOL_PART_INPUTFILE = 95,            /* PART_INPUTFILE  */
  YYSYMBOL_OUTPUT = 96,                    /* OUTPUT  */
  YYSYMBOL_OUTPUTFILE = 97,                /* OUTPUTFILE  */
  YYSYMBOL_EOUTPUT = 98,                   /* EOUTPUT  */
  YYSYMBOL_ACTION = 99,                    /* ACTION  */
  YYSYMBOL_EACTION = 100,                  /* EACTION  */
  YYSYMBOL_PART_ACTION = 101,              /* PART_ACTION  */
  YYSYMBOL_COMM = 102,                     /* COMM  */
  YYSYMBOL_ENDCOMM = 103,                  /* ENDCOMM  */
  YYSYMBOL_IF = 104,                       /* IF  */
  YYSYMBOL_ENDIF = 105,                    /* ENDIF  */
  YYSYMBOL_WHILE = 106,                    /* WHILE  */
  YYSYMBOL_EWHILE = 107,                   /* EWHILE  */
  YYSYMBOL_SHOW_WIDGETS = 108,             /* SHOW_WIDGETS  */
  YYSYMBOL_EMB_VARIABLE = 109,             /* EMB_VARIABLE  */
  YYSYMBOL_EMB_NUMBER = 110,               /* EMB_NUMBER  */
  YYSYMBOL_END_OF_FILE = 111,              /* END_OF_FILE  */
  YYSYMBOL_NUMBER = 112,                   /* NUMBER  */
  YYSYMBOL_STRING = 113,                   /* STRING  */
  YYSYMBOL_114_ = 114,                     /* '='  */
  YYSYMBOL_115_ = 115,                     /* '-'  */
  YYSYMBOL_116_ = 116,                     /* '+'  */
  YYSYMBOL_117_ = 117,                     /* '*'  */
  YYSYMBOL_118_ = 118,                     /* '/'  */
  YYSYMBOL_UMINUS = 119,                   /* UMINUS  */
  YYSYMBOL_HSEPARATOR = 120,               /* HSEPARATOR  */
  YYSYMBOL_PART_HSEPARATOR = 121,          /* PART_HSEPARATOR  */
  YYSYMBOL_EHSEPARATOR = 122,              /* EHSEPARATOR  */
  YYSYMBOL_VSEPARATOR = 123,               /* VSEPARATOR  */
  YYSYMBOL_PART_VSEPARATOR = 124,          /* PART_VSEPARATOR  */
  YYSYMBOL_EVSEPARATOR = 125,              /* EVSEPARATOR  */
  YYSYMBOL_COMBOBOXTEXT = 126,             /* COMBOBOXTEXT  */
  YYSYMBOL_PART_COMBOBOXTEXT = 127,        /* PART_COMBOBOXTEXT  */
  YYSYMBOL_ECOMBOBOXTEXT = 128,            /* ECOMBOBOXTEXT  */
  YYSYMBOL_COMBOBOXENTRY = 129,            /* COMBOBOXENTRY  */
  YYSYMBOL_PART_COMBOBOXENTRY = 130,       /* PART_COMBOBOXENTRY  */
  YYSYMBOL_ECOMBOBOXENTRY = 131,           /* ECOMBOBOXENTRY  */
  YYSYMBOL_HSCALE = 132,                   /* HSCALE  */
  YYSYMBOL_PART_HSCALE = 133,              /* PART_HSCALE  */
  YYSYMBOL_EHSCALE = 134,                  /* EHSCALE  */
  YYSYMBOL_VSCALE = 135,                   /* VSCALE  */
  YYSYMBOL_PART_VSCALE = 136,              /* PART_VSCALE  */
  YYSYMBOL_EVSCALE = 137,                  /* EVSCALE  */
  YYSYMBOL_SPINBUTTON = 138,               /* SPINBUTTON  */
  YYSYMBOL_PART_SPINBUTTON = 139,          /* PART_SPINBUTTON  */
  YYSYMBOL_ESPINBUTTON = 140,              /* ESPINBUTTON  */
  YYSYMBOL_TIMER = 141,                    /* TIMER  */
  YYSYMBOL_PART_TIMER = 142,               /* PART_TIMER  */
  YYSYMBOL_ETIMER = 143,                   /* ETIMER  */
  YYSYMBOL_TOGGLEBUTTON = 144,             /* TOGGLEBUTTON  */
  YYSYMBOL_PART_TOGGLEBUTTON = 145,        /* PART_TOGGLEBUTTON  */
  YYSYMBOL_ETOGGLEBUTTON = 146,            /* ETOGGLEBUTTON  */
  YYSYMBOL_STATUSBAR = 147,                /* STATUSBAR  */
  YYSYMBOL_PART_STATUSBAR = 148,           /* PART_STATUSBAR  */
  YYSYMBOL_ESTATUSBAR = 149,               /* ESTATUSBAR  */
  YYSYMBOL_COLORBUTTON = 150,              /* COLORBUTTON  */
  YYSYMBOL_PART_COLORBUTTON = 151,         /* PART_COLORBUTTON  */
  YYSYMBOL_ECOLORBUTTON = 152,             /* ECOLORBUTTON  */
  YYSYMBOL_FONTBUTTON = 153,               /* FONTBUTTON  */
  YYSYMBOL_PART_FONTBUTTON = 154,          /* PART_FONTBUTTON  */
  YYSYMBOL_EFONTBUTTON = 155,              /* EFONTBUTTON  */
  YYSYMBOL_TERMINAL = 156,                 /* TERMINAL  */
  YYSYMBOL_PART_TERMINAL = 157,            /* PART_TERMINAL  */
  YYSYMBOL_ETERMINAL = 158,                /* ETERMINAL  */
  YYSYMBOL_EVENTBOX = 159,                 /* EVENTBOX  */
  YYSYMBOL_PART_EVENTBOX = 160,            /* PART_EVENTBOX  */
  YYSYMBOL_EEVENTBOX = 161,                /* EEVENTBOX  */
  YYSYMBOL_EXPANDER = 162,                 /* EXPANDER  */
  YYSYMBOL_PART_EXPANDER = 163,            /* PART_EXPANDER  */
  YYSYMBOL_EEXPANDER = 164,                /* EEXPANDER  */
  YYSYMBOL_165_ = 165,                     /* '>'  */
  YYSYMBOL_166_ = 166,                     /* ':'  */
  YYSYMBOL_167_ = 167,                     /* '!'  */
  YYSYMBOL_YYACCEPT = 168,                 /* $accept  */
  YYSYMBOL_window = 169,                   /* window  */
  YYSYMBOL_wlist = 170,                    /* wlist  */
  YYSYMBOL_widget = 171,                   /* widget  */
  YYSYMBOL_entry = 172,                    /* entry  */
  YYSYMBOL_edit = 173,                     /* edit  */
  YYSYMBOL_tree = 174,                     /* tree  */
  YYSYMBOL_chooser = 175,                  /* chooser  */
  YYSYMBOL_text = 176,                     /* text  */
  YYSYMBOL_button = 177,                   /* button  */
  YYSYMBOL_checkbox = 178,                 /* checkbox  */
  YYSYMBOL_radiobutton = 179,              /* radiobutton  */
  YYSYMBOL_progressbar = 180,              /* progressbar  */
  YYSYMBOL_list = 181,                     /* list  */
  YYSYMBOL_table = 182,                    /* table  */
  YYSYMBOL_combobox = 183,                 /* combobox  */
  YYSYMBOL_gvim = 184,                     /* gvim  */
  YYSYMBOL_pixmap = 185,                   /* pixmap  */
  YYSYMBOL_menubar = 186,                  /* menubar  */
  YYSYMBOL_menuwlist = 187,                /* menuwlist  */
  YYSYMBOL_menu = 188,                     /* menu  */
  YYSYMBOL_menuitem = 189,                 /* menuitem  */
  YYSYMBOL_menuitemseparator = 190,        /* menuitemseparator  */
  YYSYMBOL_hseparator = 191,               /* hseparator  */
  YYSYMBOL_vseparator = 192,               /* vseparator  */
  YYSYMBOL_comboboxtext = 193,             /* comboboxtext  */
  YYSYMBOL_comboboxentry = 194,            /* comboboxentry  */
  YYSYMBOL_hscale = 195,                   /* hscale  */
  YYSYMBOL_vscale = 196,                   /* vscale  */
  YYSYMBOL_spinbutton = 197,               /* spinbutton  */
  YYSYMBOL_timer = 198,                    /* timer  */
  YYSYMBOL_togglebutton = 199,             /* togglebutton  */
  YYSYMBOL_statusbar = 200,                /* statusbar  */
  YYSYMBOL_colorbutton = 201,              /* colorbutton  */
  YYSYMBOL_fontbutton = 202,               /* fontbutton  */
  YYSYMBOL_terminal = 203,                 /* terminal  */
  YYSYMBOL_attr = 204,                     /* attr  */
  YYSYMBOL_label = 205,                    /* label  */
  YYSYMBOL_sensitive = 206,                /* sensitive  */
  YYSYMBOL_defaultvalue = 207,             /* defaultvalue  */
  YYSYMBOL_width = 208,                    /* width  */
  YYSYMBOL_height = 209,                   /* height  */
  YYSYMBOL_input = 210,                    /* input  */
  YYSYMBOL_output = 211,                   /* output  */
  YYSYMBOL_variable = 212,                 /* variable  */
  YYSYMBOL_action = 213,                   /* action  */
  YYSYMBOL_item = 214,                     /* item  */
  YYSYMBOL_tagattr = 215,                  /* tagattr  */
  YYSYMBOL_imperative = 216,               /* imperative  */
  YYSYMBOL_assignment = 217,               /* assignment  */
  YYSYMBOL_expression = 218,               /* expression  */
  YYSYMBOL_if = 219,                       /* if  */
  YYSYMBOL_then = 220,                     /* then  */
  YYSYMBOL_endif = 221,                    /* endif  */
  YYSYMBOL_while = 222,                    /* while  */
  YYSYMBOL_ewhile = 223,                   /* ewhile  */
  YYSYMBOL_do = 224                        /* do  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  124
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   4101

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  168
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  57
/* YYNRULES -- Number of rules.  */
#define YYNRULES  196
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  573

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   414


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   167,     2,     2,     2,     2,     2,     2,
       2,     2,   117,   116,     2,   115,     2,   118,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   166,     2,
       2,   114,   165,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   167,   167,   171,   175,   184,   185,   188,   189,   190,
     193,   197,   200,   204,   207,   211,   214,   218,   221,   225,
     228,   232,   235,   239,   242,   246,   249,   253,   256,   260,
     264,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   303,
     306,   309,   314,   317,   320,   326,   329,   332,   338,   341,
     344,   350,   353,   356,   360,   361,   364,   365,   366,   367,
     368,   372,   375,   379,   385,   388,   391,   397,   400,   403,
     409,   412,   415,   421,   424,   427,   433,   436,   442,   446,
     447,   460,   463,   466,   470,   473,   480,   481,   482,   486,
     489,   492,   496,   499,   506,   509,   513,   516,   523,   526,
     533,   536,   542,   545,   551,   554,   560,   563,   569,   572,
     578,   581,   587,   590,   596,   599,   605,   608,   614,   617,
     623,   626,   632,   635,   641,   644,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   664,   669,   674,
     679,   684,   689,   692,   695,   698,   701,   707,   710,   716,
     719,   725,   728,   734,   737,   740,   746,   749,   755,   756,
     759,   762,   769,   775,   778,   781,   784,   787,   790,   793,
     796,   802,   806,   813,   817,   821,   828
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "WINDOW",
  "PART_WINDOW", "EWINDOW", "VBOX", "PART_VBOX", "EVBOX", "HBOX",
  "PART_HBOX", "EHBOX", "NOTEBOOK", "ENOTEBOOK", "PART_NOTEBOOK", "FRAME",
  "TAG_ATTR_NAME", "EFRAME", "ENTRY", "EENTRY", "PART_ENTRY", "MENUBAR",
  "PART_MENUBAR", "EMENUBAR", "MENU", "PART_MENU", "EMENU", "MENUITEM",
  "PART_MENUITEM", "EMENUITEM", "MENUITEMSEPARATOR", "EMENUITEMSEPARATOR",
  "EDIT", "PART_EDIT", "EEDIT", "TREE", "PART_TREE", "ETREE", "CHOOSER",
  "PART_CHOOSER", "ECHOOSER", "LABEL", "ELABEL", "ITEM", "EITEM",
  "PART_ITEM", "BUTTON", "PART_BUTTON", "EBUTTON", "BUTTONOK",
  "BUTTONCANCEL", "BUTTONHELP", "BUTTONYES", "BUTTONNO", "CHECKBOX",
  "ECHECKBOX", "PART_CHECKBOX", "RADIO", "ERADIO", "PART_RADIO",
  "PROGRESSBAR", "EPROGRESSBAR", "PART_PROGRESSBAR", "LIST", "PART_LIST",
  "ELIST", "TABLE", "ETABLE", "PART_TABLE", "COMBOBOX", "PART_COMBOBOX",
  "ECOMBOBOX", "GVIM", "EGVIM", "TEXT", "PART_TEXT", "ETEXT", "PIXMAP",
  "PART_PIXMAP", "EPIXMAP", "DEFAULT", "EDEFAULT", "SENSITIVE",
  "ESENSITIVE", "VARIABLE", "PART_VARIABLE", "EVARIABLE", "WIDTH",
  "EWIDTH", "HEIGHT", "EHEIGHT", "INPUT", "INPUTFILE", "EINPUT",
  "PART_INPUT", "PART_INPUTFILE", "OUTPUT", "OUTPUTFILE", "EOUTPUT",
  "ACTION", "EACTION", "PART_ACTION", "COMM", "ENDCOMM", "IF", "ENDIF",
  "WHILE", "EWHILE", "SHOW_WIDGETS", "EMB_VARIABLE", "EMB_NUMBER",
  "END_OF_FILE", "NUMBER", "STRING", "'='", "'-'", "'+'", "'*'", "'/'",
  "UMINUS", "HSEPARATOR", "PART_HSEPARATOR", "EHSEPARATOR", "VSEPARATOR",
  "PART_VSEPARATOR", "EVSEPARATOR", "COMBOBOXTEXT", "PART_COMBOBOXTEXT",
  "ECOMBOBOXTEXT", "COMBOBOXENTRY", "PART_COMBOBOXENTRY", "ECOMBOBOXENTRY",
  "HSCALE", "PART_HSCALE", "EHSCALE", "VSCALE", "PART_VSCALE", "EVSCALE",
  "SPINBUTTON", "PART_SPINBUTTON", "ESPINBUTTON", "TIMER", "PART_TIMER",
  "ETIMER", "TOGGLEBUTTON", "PART_TOGGLEBUTTON", "ETOGGLEBUTTON",
  "STATUSBAR", "PART_STATUSBAR", "ESTATUSBAR", "COLORBUTTON",
  "PART_COLORBUTTON", "ECOLORBUTTON", "FONTBUTTON", "PART_FONTBUTTON",
  "EFONTBUTTON", "TERMINAL", "PART_TERMINAL", "ETERMINAL", "EVENTBOX",
  "PART_EVENTBOX", "EEVENTBOX", "EXPANDER", "PART_EXPANDER", "EEXPANDER",
  "'>'", "':'", "'!'", "$accept", "window", "wlist", "widget", "entry",
  "edit", "tree", "chooser", "text", "button", "checkbox", "radiobutton",
  "progressbar", "list", "table", "combobox", "gvim", "pixmap", "menubar",
  "menuwlist", "menu", "menuitem", "menuitemseparator", "hseparator",
  "vseparator", "comboboxtext", "comboboxentry", "hscale", "vscale",
  "spinbutton", "timer", "togglebutton", "statusbar", "colorbutton",
  "fontbutton", "terminal", "attr", "label", "sensitive", "defaultvalue",
  "width", "height", "input", "output", "variable", "action", "item",
  "tagattr", "imperative", "assignment", "expression", "if", "then",
  "endif", "while", "ewhile", "do", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-114)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-107)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     106,  1293,    -9,    43,   819,  1293,    -9,  1293,    -9,  1293,
      -9,  1293,  -114,    -9,   230,    -9,   237,    -9,  -114,    -9,
     -27,  -114,    -9,  -114,    -9,  -114,    -9,  -114,    -9,  -114,
    -114,  -114,  -114,  -114,  -114,    -9,  -114,    -9,  -114,    -9,
    -114,    -9,  -114,    -9,  -114,    -9,  -114,  -114,    -9,  -114,
      -9,   -64,  -114,  -114,  -114,   -41,    -9,   -34,    -9,  -114,
      -9,  -114,    -9,  -114,    -9,  -114,    -9,  -114,    -9,  -114,
      -9,  -114,    -9,  -114,    -9,  -114,    -9,  -114,    -9,  -114,
      -9,  1293,    -9,  1293,    -9,  1451,  -114,  -114,  -114,  -114,
    -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,
    -114,  -114,   260,    90,  -114,  -114,  -114,  -114,  -114,  -114,
    -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,
      39,    39,   -31,    -6,  -114,   -20,   -42,    -9,   -18,     1,
       8,    -9,    27,    29,    31,    33,    -9,    -9,    37,    45,
      47,    -9,  1451,  -114,  -114,  -114,  -114,  -114,  -114,  -114,
    -114,  -114,  -114,  1451,    -4,  1451,    -2,  1451,     0,  1451,
    2785,     7,  -114,   271,     9,  -114,   260,  -114,    11,  3069,
      13,  -114,  2765,    15,  3248,    17,  3280,    20,  3555,    22,
    3578,  3600,  3623,  3645,  3668,  3367,    23,  3385,    24,  3430,
      25,  3453,    26,  3489,    28,  3690,    30,  3735,  3517,    32,
    3758,    34,   -53,   -36,  -114,    36,  -114,    38,  2673,    40,
    2375,    42,  2200,    44,  2058,    46,  1983,    48,  1947,    50,
    1866,    52,  1821,    56,  1762,    58,  1705,    59,  1637,    60,
    1451,    61,  1451,    62,  1293,    -9,  1293,    -9,  1293,    -9,
    1293,  1293,    -9,  1293,    -9,  -114,  2121,  -114,   350,    -9,
    -114,    -9,    92,   350,    -9,  -114,  -114,   -29,   -10,    51,
      21,  1293,    88,  -114,    93,    63,    71,    70,    53,    64,
      91,    94,    73,    75,    66,    68,    72,    83,    96,    74,
    2223,  1293,  2434,  1293,  2552,  1293,   976,  -114,  -114,  -114,
    2830,   350,  2955,   350,  -114,  -114,  -114,  -114,  -114,  -114,
    -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,
    -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,
    -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,
    -114,  -114,  -114,  -114,  -114,    98,    95,   100,    79,  -114,
    -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,
    -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,
    -114,   706,  1293,   392,  1293,  1451,    76,  1451,    78,  1451,
      80,  1451,  1451,    82,  1451,    84,  -114,   260,    85,  3100,
      86,  -114,   271,    87,    39,    39,    39,    39,    39,  -114,
     102,  -114,  -114,    89,  1451,  -114,  -114,    97,  -114,  -114,
    -114,   101,  -114,  -114,  -114,  -114,   129,     4,  -114,  -114,
    -114,   135,  -114,  1451,  -114,  1451,  -114,  1451,  -114,  2803,
    -114,   271,  -114,   260,  3126,  3185,  3218,  3310,  3780,  3803,
    3848,  3825,  3886,  3909,  3943,  3970,  4000,    39,  -114,  -114,
    -114,  2699,  2401,  2257,  2141,  2040,  1965,  1884,  1848,  1789,
    1732,  1667,  -114,  1451,  -114,  1451,  2280,  1293,  2462,  1293,
    2583,  1293,  1134,  1574,  1293,   579,  1293,  2986,   350,  -114,
    -114,  2866,   350,    16,   -48,   -48,    19,    19,  1293,    39,
    1293,  -114,  2166,   131,   114,   113,  -114,   115,   156,  2318,
    2493,  2616,  -114,  2893,  3012,  -114,  -114,  -114,  -114,  -114,
    -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,    10,  -114,
    -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,
    1592,   597,  -114,  1451,  -114,  1451,  -114,  1451,  -114,  -114,
    1451,  -114,  1451,  -114,   260,  3157,  -114,   271,   977,    16,
    1135,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,
    -114,  -114,  -114,  -114,  2342,  2526,  2642,  1610,   678,  3043,
    -114,  2929,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,
    -114,  -114,  -114
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint8 yydefact[] =
{
     146,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   146,     0,     0,     0,     0,     0,   146,     0,
       0,   146,     0,   146,     0,   146,     0,   146,     0,   146,
     146,   146,   146,   146,   146,     0,   146,     0,   146,     0,
     146,     0,   146,     0,   146,     0,   146,   146,     0,   146,
       0,     0,   191,   194,   179,     0,     0,     0,     0,   146,
       0,   146,     0,   146,     0,   146,     0,   146,     0,   146,
       0,   146,     0,   146,     0,   146,     0,   146,     0,   146,
       0,     0,     0,     0,     0,   146,     5,    32,    33,    34,
      35,    31,    36,    37,    38,    39,    40,    41,    42,    44,
      43,    45,     0,   106,   107,   108,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,     7,
       0,     0,     0,     0,     1,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     2,   149,   148,   147,   150,   151,   152,   153,
     154,   155,   156,   146,     0,   146,     0,   146,     0,   146,
       0,     0,   101,   146,     0,   109,   146,   106,     0,     0,
       0,   118,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   120,     0,   122,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     146,     0,   146,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     6,     0,     8,     0,     0,
     146,     0,     0,     0,     0,   183,   184,     0,     0,     0,
       0,     0,     0,   174,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    61,    59,   146,
       0,     0,     0,     0,   114,   146,    64,    62,   146,    67,
      65,   146,    70,    68,   146,    74,   146,    76,    77,    78,
      80,    79,    83,    81,   146,    86,    84,   146,    89,    87,
     146,    92,    90,   146,    95,    93,   146,    96,   146,    98,
      73,    71,   146,    99,   146,     0,     0,     0,     0,   124,
     146,   126,   146,   128,   146,   130,   146,   132,   146,   134,
     146,   136,   146,   138,   146,   140,   146,   142,   146,   144,
     146,     0,     0,     0,     0,   146,     0,   146,     0,   146,
       0,   146,   146,     0,   146,     0,     3,   146,     0,     0,
       0,   119,   146,     0,     0,     0,     0,     0,     0,   192,
       0,   196,   176,     0,   146,   157,   173,     0,   159,   158,
     169,     0,   160,   161,   162,   164,     0,     0,   167,   168,
     171,     0,     9,   146,    13,   146,    25,   146,    29,     0,
     102,   146,   110,   146,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   178,   121,
     123,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    17,   146,    21,   146,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   115,
     146,     0,     0,   189,   186,   185,   187,   188,     0,     0,
       0,   177,     0,     0,     0,     0,   166,     0,     0,     0,
       0,     0,    60,     0,     0,   116,    63,    66,    69,    75,
      82,    85,    88,    91,    94,    97,    72,   100,   182,   125,
     127,   129,   131,   133,   135,   137,   139,   141,   143,   145,
       0,     0,    10,   146,    14,   146,    26,   146,    30,    18,
     146,    22,   146,   111,   146,     0,   103,   146,     0,   190,
       0,     4,   175,   170,   163,   165,   172,    11,    15,    27,
     104,   112,    19,    23,     0,     0,     0,     0,     0,     0,
     117,     0,   193,   180,   195,   181,    12,    16,    28,    20,
      24,   113,   105
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -114,  -114,   111,    14,  -114,  -114,  -114,  -114,  -114,  -114,
    -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,   -11,
     -13,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,  -114,
    -114,  -114,  -114,  -114,  -114,  -114,   -12,  -114,  -114,  -114,
    -114,  -114,  -114,  -114,  -114,  -114,  -114,   573,    77,  -114,
    -113,  -114,  -114,  -114,  -114,  -114,  -114
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     3,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,     4,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   123,   119,   203,
     257,   120,   478,   563,   121,   565,   480
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     160,   163,   263,   167,   171,   166,   169,   122,   258,   172,
     260,   174,   260,   176,   260,   178,   260,   180,   181,   182,
     183,   184,   185,   260,   187,   260,   189,   260,   191,   260,
     193,   260,   195,   260,   197,   198,   260,   200,   260,   260,
     260,   260,   260,   124,   260,   202,   260,   208,   260,   210,
     260,   212,   260,   214,   260,   216,   260,   218,   260,   220,
     260,   222,   260,   224,   260,   226,   260,   228,   260,   387,
     388,   264,   260,   246,   260,   260,   260,   260,   260,   260,
     260,   204,   260,   259,   260,   384,   385,   386,   387,   388,
     260,   206,   260,   262,   260,   266,   260,   486,   260,   245,
     260,   260,   260,   260,   384,   385,   386,   387,   388,     1,
       2,   253,   254,   335,   267,   142,   153,   487,   155,   390,
     157,   268,   159,   381,   384,   385,   386,   387,   388,   336,
     395,   385,   386,   387,   388,   393,   389,   396,   390,   400,
     270,   280,   271,   282,   272,   284,   273,   286,   255,   256,
     276,   290,   398,   399,   292,   391,   245,   390,   277,   261,
     278,   281,   247,   283,   392,   285,   404,   245,   405,   245,
     408,   245,   289,   245,   291,   542,   293,   390,   295,   402,
     298,   409,   301,   390,   403,   304,   390,   306,   314,   317,
     320,   323,   230,   326,   232,   328,   410,   332,   438,   334,
     543,   337,   481,   338,   440,   340,   544,   342,   545,   344,
     483,   346,   437,   348,   484,   350,   479,   352,   361,   247,
     363,   354,   439,   356,   358,   360,   362,   364,   397,   401,
     247,   406,   247,   407,   247,   167,   247,   377,   379,   411,
     382,   457,   485,   459,   245,   461,   245,   464,   488,   466,
     468,   470,   472,   162,    16,    17,   546,    18,    19,     0,
      20,    16,    17,   165,    18,    19,     0,    20,     0,     0,
       0,   473,   474,   475,   476,   477,     0,   419,   421,     0,
     167,     0,   423,   424,   248,   249,   425,   250,   251,   426,
     252,     0,   427,     0,   428,  -106,  -106,     0,  -106,  -106,
       0,  -106,   429,     0,     0,   430,     0,   247,   431,   247,
       0,   432,     0,     0,   433,     0,   434,     0,     0,     0,
     435,     0,   436,     0,   508,     0,     0,     0,   441,     0,
     442,     0,   443,     0,   444,     0,   445,     0,   446,     0,
     447,     0,   448,     0,   449,   365,   450,   367,   451,   369,
       0,   371,   372,   456,   374,   458,     0,   460,     0,   462,
     463,     0,   465,     0,     0,   467,   539,     0,     0,     0,
     471,     0,   394,     0,    16,    17,     0,    18,    19,   245,
      20,   245,   482,   245,     0,   245,   245,     0,   245,     0,
       0,     0,   413,     0,   415,     0,   417,     0,     0,     0,
       0,   489,     0,   490,     0,   491,     0,     0,   245,   493,
       0,   494,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   245,     0,   245,
       0,   245,     0,   125,     0,   126,     0,   127,     0,     0,
       0,   520,   247,   521,   247,     0,   247,     0,   247,   247,
       0,   247,     0,     0,     0,   167,     0,   534,   535,   537,
       0,     0,     0,     0,     0,     0,     0,   245,     0,   245,
       0,   247,   128,   453,   129,   455,   130,   131,     0,   132,
       0,   133,     0,   134,   135,     0,   136,   137,   138,   139,
     247,   140,   247,   141,   247,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   554,     0,   555,     0,   556,     0,     0,   557,     0,
     558,     0,   559,     0,     0,   561,     0,     0,     0,     0,
     247,     0,   247,     0,     0,     0,     0,   245,     0,   245,
       0,   245,     0,     0,   245,     0,   245,     0,     0,     0,
       0,     0,   245,     0,   245,     0,   454,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   523,     0,
     525,     0,   527,     0,     0,   530,     0,   532,     0,   154,
       0,   156,     0,   158,     0,     0,   161,     0,   164,   538,
     168,   540,   170,     0,     0,   173,     0,   175,     0,   177,
     247,   179,   247,     0,   247,     0,     0,   247,   186,   247,
     188,     0,   190,     0,   192,   247,   194,   247,   196,     0,
     125,   199,   126,   201,   127,     0,     0,     0,     0,   205,
       0,   207,     0,   209,     0,   211,     0,   213,   125,   215,
     126,   217,   127,   219,     0,   221,     0,   223,     0,   225,
       0,   227,     0,   229,     0,   231,     0,   233,     0,   128,
       0,   129,     0,   130,   131,     0,   132,     0,   133,     0,
     134,   135,     0,   136,   137,   138,   139,   128,   140,   129,
     141,   130,   131,     0,   132,     0,   133,     0,   134,   135,
       0,   136,   137,   138,   139,     0,   140,     0,   141,     0,
     265,     0,     0,     0,   269,     0,     0,     0,     0,   274,
     275,     0,     0,     0,   279,     0,     0,     0,     0,   125,
       0,   126,     0,   127,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   531,     0,     0,     0,   125,     0,   126,
       0,   127,     0,     0,     0,     0,     0,     0,   128,     0,
     129,   553,   130,   131,     0,   132,     0,   133,     0,   134,
     135,     0,   136,   137,   138,   139,     0,   140,     0,   141,
       0,     0,     0,     0,     0,     0,   128,     0,   129,     0,
     130,   131,     0,   132,     0,   133,     0,   134,   135,     0,
     136,   137,   138,   139,     0,   140,     0,   141,   366,     0,
     368,     0,   370,     0,     0,   373,     0,   375,     0,     0,
       0,     0,   378,     0,   380,     5,     6,   383,     7,     8,
       0,     9,     0,    10,    11,     0,     0,    12,     0,    13,
      14,    15,   570,    16,    17,     0,    18,    19,     0,    20,
       0,    21,    22,     0,    23,    24,     0,    25,    26,     0,
     125,     0,   126,     0,   127,    27,    28,   452,    29,    30,
      31,    32,    33,    34,     0,    35,    36,     0,    37,    38,
       0,    39,    40,    41,     0,    42,     0,    43,    44,    45,
       0,    46,     0,    47,    48,     0,    49,    50,     0,   128,
       0,   129,     0,   130,   131,     0,   132,     0,   133,     0,
     134,   135,     0,   136,   137,   138,   139,     0,   140,     0,
     141,    51,     0,    52,     0,    53,     0,    54,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    55,
      56,     0,    57,    58,     0,    59,    60,     0,    61,    62,
       0,    63,    64,     0,    65,    66,     0,    67,    68,     0,
      69,    70,     0,    71,    72,     0,    73,    74,     0,    75,
      76,     0,    77,    78,     0,    79,    80,     0,    81,    82,
       0,    83,    84,   234,   235,     0,   236,   237,     0,   238,
       0,   239,   240,   418,     0,    12,     0,    13,    14,    15,
       0,    16,    17,     0,    18,    19,     0,    20,     0,    21,
      22,     0,    23,    24,     0,    25,    26,   125,     0,   126,
       0,   127,     0,    27,    28,     0,    29,    30,    31,    32,
      33,    34,     0,    35,    36,     0,    37,    38,     0,    39,
      40,    41,     0,    42,     0,    43,    44,    45,     0,    46,
       0,    47,    48,     0,    49,    50,   128,     0,   129,     0,
     130,   131,     0,   132,     0,   133,     0,   134,   135,     0,
     136,   137,   138,   139,     0,   140,     0,   141,     0,    51,
       0,    52,   562,    53,     0,    54,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    55,    56,     0,
      57,    58,     0,    59,    60,     0,    61,    62,     0,    63,
      64,     0,    65,    66,     0,    67,    68,     0,    69,    70,
       0,    71,    72,     0,    73,    74,     0,    75,    76,     0,
      77,    78,     0,    79,    80,     0,   241,   242,     0,   243,
     244,   234,   235,     0,   236,   237,     0,   238,     0,   239,
     240,   528,     0,    12,     0,    13,    14,    15,     0,    16,
      17,     0,    18,    19,     0,    20,     0,    21,    22,     0,
      23,    24,     0,    25,    26,   125,     0,   126,     0,   127,
       0,    27,    28,     0,    29,    30,    31,    32,    33,    34,
       0,    35,    36,     0,    37,    38,     0,    39,    40,    41,
       0,    42,     0,    43,    44,    45,     0,    46,     0,    47,
      48,     0,    49,    50,   128,     0,   129,     0,   130,   131,
       0,   132,     0,   133,     0,   134,   135,     0,   136,   137,
     138,   139,     0,   140,     0,   141,     0,    51,     0,    52,
       0,    53,   564,    54,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    55,    56,     0,    57,    58,
       0,    59,    60,     0,    61,    62,     0,    63,    64,     0,
      65,    66,     0,    67,    68,     0,    69,    70,     0,    71,
      72,     0,    73,    74,     0,    75,    76,     0,    77,    78,
       0,    79,    80,     0,   241,   242,     0,   243,   244,     5,
       6,     0,     7,     8,     0,     9,     0,    10,    11,     0,
       0,    12,     0,    13,    14,    15,     0,    16,    17,     0,
      18,    19,     0,    20,     0,    21,    22,     0,    23,    24,
       0,    25,    26,     0,     0,     0,     0,     0,     0,    27,
      28,     0,    29,    30,    31,    32,    33,    34,     0,    35,
      36,     0,    37,    38,     0,    39,    40,    41,     0,    42,
       0,    43,    44,    45,     0,    46,     0,    47,    48,     0,
      49,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    51,     0,    52,     0,    53,
       0,    54,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    55,    56,     0,    57,    58,     0,    59,
      60,     0,    61,    62,     0,    63,    64,     0,    65,    66,
       0,    67,    68,     0,    69,    70,     0,    71,    72,     0,
      73,    74,     0,    75,    76,     0,    77,    78,     0,    79,
      80,     0,    81,    82,     0,    83,    84,   234,   235,     0,
     236,   237,     0,   238,     0,   239,   240,     0,     0,    12,
       0,    13,    14,    15,     0,    16,    17,     0,    18,    19,
       0,    20,     0,    21,    22,     0,    23,    24,     0,    25,
      26,     0,     0,     0,     0,     0,     0,    27,    28,     0,
      29,    30,    31,    32,    33,    34,     0,    35,    36,     0,
      37,    38,     0,    39,    40,    41,     0,    42,     0,    43,
      44,    45,     0,    46,     0,    47,    48,     0,    49,    50,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    51,     0,    52,     0,    53,     0,    54,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    55,    56,     0,    57,    58,     0,    59,    60,     0,
      61,    62,     0,    63,    64,     0,    65,    66,     0,    67,
      68,     0,    69,    70,     0,    71,    72,     0,    73,    74,
       0,    75,    76,     0,    77,    78,     0,    79,    80,     0,
     241,   242,     0,   243,   244,   125,     0,   126,     0,   127,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   125,     0,   126,     0,   127,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   125,     0,   126,   128,   127,   129,     0,   130,   131,
       0,   132,     0,   133,     0,   134,   135,     0,   136,   137,
     138,   139,   128,   140,   129,   141,   130,   131,   125,   132,
     126,   133,   127,   134,   135,     0,   136,   137,   138,   139,
     128,   140,   129,   141,   130,   131,     0,   132,     0,   133,
       0,   134,   135,     0,   136,   137,   138,   139,   125,   140,
     126,   141,   127,     0,     0,     0,     0,   128,     0,   129,
       0,   130,   131,     0,   132,     0,   133,     0,   134,   135,
       0,   136,   137,   138,   139,   529,   140,     0,   141,     0,
       0,     0,     0,     0,     0,     0,   125,   128,   126,   129,
     127,   130,   131,   552,   132,     0,   133,     0,   134,   135,
       0,   136,   137,   138,   139,     0,   140,     0,   141,     0,
       0,   569,     0,   125,     0,   126,     0,   127,     0,     0,
       0,     0,     0,     0,     0,   128,     0,   129,     0,   130,
     131,     0,   132,     0,   133,   359,   134,   135,     0,   136,
     137,   138,   139,   125,   140,   126,   141,   127,     0,     0,
       0,     0,   128,     0,   129,     0,   130,   131,     0,   132,
       0,   133,     0,   134,   135,   519,   136,   137,   138,   139,
     125,   140,   126,   141,   127,     0,     0,     0,     0,     0,
       0,     0,   128,     0,   129,     0,   130,   131,     0,   132,
       0,   133,     0,   134,   135,     0,   136,   137,   138,   139,
     357,   140,   125,   141,   126,     0,   127,     0,     0,   128,
       0,   129,     0,   130,   131,     0,   132,     0,   133,     0,
     134,   135,     0,   136,   137,   138,   139,   518,   140,   125,
     141,   126,     0,   127,     0,     0,     0,     0,     0,     0,
       0,   128,     0,   129,     0,   130,   131,   125,   132,   126,
     133,   127,   134,   135,   355,   136,   137,   138,   139,     0,
     140,     0,   141,     0,     0,   125,     0,   126,   128,   127,
     129,     0,   130,   131,     0,   132,     0,   133,     0,   134,
     135,   517,   136,   137,   138,   139,   128,   140,   129,   141,
     130,   131,     0,   132,     0,   133,     0,   134,   135,     0,
     136,   137,   138,   139,   128,   140,   129,   141,   130,   131,
     353,   132,     0,   133,     0,   134,   135,     0,   136,   137,
     138,   139,     0,   140,     0,   141,     0,     0,   125,     0,
     126,     0,   127,     0,     0,     0,     0,   516,     0,     0,
       0,     0,     0,     0,     0,     0,   125,     0,   126,     0,
     127,     0,   351,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   125,     0,   126,   128,   127,   129,
     515,   130,   131,     0,   132,     0,   133,     0,   134,   135,
       0,   136,   137,   138,   139,   128,   140,   129,   141,   130,
     131,     0,   132,     0,   133,     0,   134,   135,     0,   136,
     137,   138,   139,   128,   140,   129,   141,   130,   131,     0,
     132,     0,   133,     0,   134,   135,     0,   136,   137,   138,
     139,   125,   140,   126,   141,   127,     0,     0,     0,     0,
     349,     0,     0,     0,     0,     0,     0,     0,     0,   125,
       0,   126,     0,   127,     0,     0,     0,     0,   514,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     128,     0,   129,   347,   130,   131,   376,   132,     0,   133,
       0,   134,   135,     0,   136,   137,   138,   139,   128,   140,
     129,   141,   130,   131,     0,   132,     0,   133,     0,   134,
     135,     0,   136,   137,   138,   139,     0,   140,     0,   141,
       0,     0,   125,     0,   126,     0,   127,     0,     0,     0,
       0,   541,     0,     0,     0,     0,     0,     0,     0,     0,
     513,     0,   125,     0,   126,     0,   127,     0,     0,     0,
       0,     0,     0,     0,     0,   345,     0,     0,     0,     0,
       0,   128,     0,   129,     0,   130,   131,   125,   132,   126,
     133,   127,   134,   135,     0,   136,   137,   138,   139,     0,
     140,   128,   141,   129,     0,   130,   131,     0,   132,     0,
     133,   412,   134,   135,     0,   136,   137,   138,   139,     0,
     140,   125,   141,   126,     0,   127,   128,     0,   129,     0,
     130,   131,     0,   132,     0,   133,     0,   134,   135,     0,
     136,   137,   138,   139,   125,   140,   126,   141,   127,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   512,     0,
     128,     0,   129,     0,   130,   131,     0,   132,   522,   133,
       0,   134,   135,     0,   136,   137,   138,   139,   125,   140,
     126,   141,   127,   128,     0,   129,     0,   130,   131,     0,
     132,     0,   133,     0,   134,   135,     0,   136,   137,   138,
     139,   125,   140,   126,   141,   127,   547,     0,     0,     0,
       0,     0,     0,     0,   343,     0,     0,   128,     0,   129,
       0,   130,   131,     0,   132,     0,   133,     0,   134,   135,
     566,   136,   137,   138,   139,     0,   140,     0,   141,   125,
     128,   126,   129,   127,   130,   131,     0,   132,     0,   133,
       0,   134,   135,     0,   136,   137,   138,   139,     0,   140,
       0,   141,     0,   125,     0,   126,     0,   127,     0,     0,
       0,   511,     0,     0,     0,     0,     0,     0,   128,     0,
     129,     0,   130,   131,     0,   132,     0,   133,     0,   134,
     135,     0,   136,   137,   138,   139,   125,   140,   126,   141,
     127,     0,   128,     0,   129,     0,   130,   131,     0,   132,
       0,   133,     0,   134,   135,     0,   136,   137,   138,   139,
       0,   140,   125,   141,   126,   414,   127,     0,     0,     0,
       0,     0,     0,     0,     0,   128,     0,   129,     0,   130,
     131,     0,   132,     0,   133,     0,   134,   135,     0,   136,
     137,   138,   139,   524,   140,   125,   141,   126,     0,   127,
       0,   128,     0,   129,     0,   130,   131,     0,   132,     0,
     133,     0,   134,   135,     0,   136,   137,   138,   139,     0,
     140,     0,   141,   125,   548,   126,   341,   127,     0,     0,
       0,     0,     0,     0,   128,     0,   129,     0,   130,   131,
       0,   132,     0,   133,     0,   134,   135,     0,   136,   137,
     138,   139,   510,   140,   125,   141,   126,   567,   127,     0,
       0,     0,   128,     0,   129,     0,   130,   131,     0,   132,
       0,   133,     0,   134,   135,     0,   136,   137,   138,   139,
       0,   140,     0,   141,     0,   416,     0,   125,     0,   126,
       0,   127,     0,   128,     0,   129,     0,   130,   131,     0,
     132,     0,   133,     0,   134,   135,     0,   136,   137,   138,
     139,     0,   140,   125,   141,   126,   526,   127,     0,     0,
       0,     0,     0,     0,     0,     0,   128,     0,   129,     0,
     130,   131,     0,   132,     0,   133,     0,   134,   135,     0,
     136,   137,   138,   139,   125,   140,   126,   141,   127,   549,
       0,     0,   128,     0,   129,     0,   130,   131,     0,   132,
       0,   133,     0,   134,   135,     0,   136,   137,   138,   139,
       0,   140,     0,   141,     0,   568,     0,   125,     0,   126,
       0,   127,     0,   128,     0,   129,     0,   130,   131,     0,
     132,     0,   133,     0,   134,   135,     0,   136,   137,   138,
     139,     0,   140,   125,   141,   126,     0,   127,     0,     0,
       0,     0,     0,     0,     0,     0,   128,     0,   129,     0,
     130,   131,     0,   132,     0,   133,     0,   134,   135,     0,
     136,   137,   138,   139,   125,   140,   126,   141,   127,     0,
       0,     0,   128,     0,   129,     0,   130,   131,     0,   132,
       0,   133,     0,   134,   135,     0,   136,   137,   138,   139,
     125,   140,   126,   141,   127,     0,     0,     0,     0,     0,
       0,     0,     0,   128,     0,   129,     0,   130,   131,     0,
     132,     0,   133,     0,   134,   135,     0,   136,   137,   138,
     139,     0,   140,     0,   141,     0,     0,     0,     0,   128,
       0,   129,     0,   130,   131,     0,   132,     0,   133,     0,
     134,   135,     0,   136,   137,   138,   139,   296,   140,   297,
     141,   339,     0,   287,   288,     0,   125,     0,   126,     0,
     127,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   492,     0,     0,     0,   125,   509,   126,     0,
     127,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   125,   128,   126,   129,   127,   130,
     131,     0,   132,   420,   133,     0,   134,   135,     0,   136,
     137,   138,   139,     0,   140,   128,   141,   129,     0,   130,
     131,   125,   132,   126,   133,   127,   134,   135,     0,   136,
     137,   138,   139,   128,   140,   129,   141,   130,   131,   536,
     132,     0,   133,     0,   134,   135,     0,   136,   137,   138,
     139,     0,   140,     0,   141,     0,     0,   125,     0,   126,
     128,   127,   129,     0,   130,   131,   550,   132,     0,   133,
       0,   134,   135,     0,   136,   137,   138,   139,     0,   140,
       0,   141,     0,     0,   125,     0,   126,     0,   127,     0,
       0,     0,     0,     0,     0,     0,   128,     0,   129,     0,
     130,   131,   572,   132,     0,   133,     0,   134,   135,     0,
     136,   137,   138,   139,     0,   140,     0,   141,     0,     0,
     125,     0,   126,   128,   127,   129,     0,   130,   131,     0,
     132,   422,   133,     0,   134,   135,     0,   136,   137,   138,
     139,     0,   140,     0,   141,     0,   125,     0,   126,     0,
     127,     0,     0,     0,     0,     0,     0,     0,     0,   128,
       0,   129,   533,   130,   131,     0,   132,     0,   133,     0,
     134,   135,     0,   136,   137,   138,   139,   125,   140,   126,
     141,   127,     0,     0,     0,   128,     0,   129,   551,   130,
     131,     0,   132,     0,   133,     0,   134,   135,     0,   136,
     137,   138,   139,   125,   140,   126,   141,   127,     0,     0,
       0,     0,     0,     0,     0,     0,   128,     0,   129,   571,
     130,   131,     0,   132,     0,   133,     0,   134,   135,     0,
     136,   137,   138,   139,   125,   140,   126,   141,   127,     0,
       0,     0,   128,     0,   129,     0,   130,   131,   294,   132,
       0,   133,     0,   134,   135,     0,   136,   137,   138,   139,
     125,   140,   126,   141,   127,     0,     0,     0,     0,     0,
       0,     0,     0,   128,     0,   129,     0,   130,   131,   469,
     132,     0,   133,     0,   134,   135,     0,   136,   137,   138,
     139,   125,   140,   126,   141,   127,     0,     0,     0,   128,
       0,   129,     0,   130,   131,   495,   132,     0,   133,     0,
     134,   135,     0,   136,   137,   138,   139,   125,   140,   126,
     141,   127,     0,     0,     0,     0,     0,     0,     0,     0,
     128,     0,   129,     0,   130,   131,   560,   132,     0,   133,
       0,   134,   135,     0,   136,   137,   138,   139,   125,   140,
     126,   141,   127,     0,     0,     0,   128,     0,   129,     0,
     130,   131,     0,   132,     0,   133,     0,   134,   135,   496,
     136,   137,   138,   139,     0,   140,   125,   141,   126,     0,
     127,     0,     0,     0,     0,     0,     0,   128,     0,   129,
       0,   130,   131,     0,   132,     0,   133,     0,   134,   135,
       0,   136,   137,   138,   139,   497,   140,     0,   141,   125,
       0,   126,     0,   127,     0,   128,     0,   129,     0,   130,
     131,     0,   132,     0,   133,     0,   134,   135,     0,   136,
     137,   138,   139,   299,   140,   300,   141,     0,     0,   125,
       0,   126,     0,   127,     0,     0,     0,     0,   128,     0,
     129,     0,   130,   131,     0,   132,     0,   133,     0,   134,
     135,     0,   136,   137,   138,   139,     0,   140,   302,   141,
     303,   125,     0,   126,     0,   127,     0,     0,   128,     0,
     129,     0,   130,   131,     0,   132,     0,   133,     0,   134,
     135,     0,   136,   137,   138,   139,     0,   140,     0,   141,
     498,   125,     0,   126,     0,   127,     0,     0,     0,     0,
     128,     0,   129,     0,   130,   131,     0,   132,     0,   133,
       0,   134,   135,     0,   136,   137,   138,   139,     0,   140,
       0,   141,     0,     0,     0,     0,     0,     0,     0,     0,
     128,     0,   129,     0,   130,   131,     0,   132,     0,   133,
       0,   134,   135,     0,   136,   137,   138,   139,   125,   140,
     126,   141,   127,     0,     0,     0,     0,     0,     0,     0,
       0,   312,   313,     0,     0,     0,   125,     0,   126,     0,
     127,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   315,   316,     0,     0,     0,   128,     0,   129,
       0,   130,   131,     0,   132,     0,   133,     0,   134,   135,
       0,   136,   137,   138,   139,   128,   140,   129,   141,   130,
     131,   125,   132,   126,   133,   127,   134,   135,     0,   136,
     137,   138,   139,     0,   140,     0,   141,     0,     0,     0,
     318,   319,     0,     0,   125,     0,   126,     0,   127,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     128,     0,   129,     0,   130,   131,   321,   132,   322,   133,
       0,   134,   135,     0,   136,   137,   138,   139,     0,   140,
     125,   141,   126,   128,   127,   129,     0,   130,   131,     0,
     132,     0,   133,     0,   134,   135,     0,   136,   137,   138,
     139,     0,   140,     0,   141,   324,   325,     0,   125,     0,
     126,     0,   127,     0,     0,     0,     0,     0,     0,   128,
       0,   129,     0,   130,   131,     0,   132,     0,   133,     0,
     134,   135,     0,   136,   137,   138,   139,     0,   140,     0,
     141,   330,     0,   331,     0,     0,   125,   128,   126,   129,
     127,   130,   131,   305,   132,     0,   133,     0,   134,   135,
       0,   136,   137,   138,   139,     0,   140,     0,   141,   125,
       0,   126,     0,   127,     0,     0,   307,     0,     0,     0,
       0,     0,     0,     0,     0,   128,     0,   129,     0,   130,
     131,   125,   132,   126,   133,   127,   134,   135,   308,   136,
     137,   138,   139,     0,   140,     0,   141,     0,   128,     0,
     129,     0,   130,   131,   125,   132,   126,   133,   127,   134,
     135,   309,   136,   137,   138,   139,     0,   140,     0,   141,
     128,     0,   129,     0,   130,   131,   125,   132,   126,   133,
     127,   134,   135,   310,   136,   137,   138,   139,     0,   140,
       0,   141,     0,   128,     0,   129,     0,   130,   131,   125,
     132,   126,   133,   127,   134,   135,   311,   136,   137,   138,
     139,     0,   140,     0,   141,   128,     0,   129,     0,   130,
     131,   125,   132,   126,   133,   127,   134,   135,     0,   136,
     137,   138,   139,     0,   140,     0,   141,     0,   128,     0,
     129,     0,   130,   131,     0,   132,     0,   133,     0,   134,
     135,   327,   136,   137,   138,   139,     0,   140,     0,   141,
     128,     0,   129,     0,   130,   131,   125,   132,   126,   133,
     127,   134,   135,     0,   136,   137,   138,   139,     0,   140,
       0,   141,     0,     0,     0,     0,     0,     0,     0,   125,
       0,   126,     0,   127,     0,     0,     0,     0,   329,     0,
       0,     0,     0,     0,     0,   128,     0,   129,     0,   130,
     131,   125,   132,   126,   133,   127,   134,   135,   499,   136,
     137,   138,   139,     0,   140,     0,   141,   333,   128,     0,
     129,     0,   130,   131,   125,   132,   126,   133,   127,   134,
     135,     0,   136,   137,   138,   139,     0,   140,   500,   141,
     128,     0,   129,     0,   130,   131,   125,   132,   126,   133,
     127,   134,   135,     0,   136,   137,   138,   139,     0,   140,
       0,   141,     0,   128,     0,   129,   502,   130,   131,   125,
     132,   126,   133,   127,   134,   135,     0,   136,   137,   138,
     139,     0,   140,     0,   141,   128,   501,   129,     0,   130,
     131,     0,   132,     0,   133,     0,   134,   135,     0,   136,
     137,   138,   139,     0,   140,     0,   141,   125,   128,   126,
     129,   127,   130,   131,     0,   132,     0,   133,     0,   134,
     135,     0,   136,   137,   138,   139,     0,   140,     0,   141,
     125,   503,   126,     0,   127,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   128,     0,   129,     0,
     130,   131,     0,   132,     0,   133,   504,   134,   135,     0,
     136,   137,   138,   139,   125,   140,   126,   141,   127,   128,
       0,   129,     0,   130,   131,     0,   132,     0,   133,     0,
     134,   135,     0,   136,   137,   138,   139,     0,   140,     0,
     141,   125,     0,   126,   505,   127,     0,     0,     0,     0,
       0,     0,     0,   128,     0,   129,     0,   130,   131,     0,
     132,     0,   133,     0,   134,   135,     0,   136,   137,   138,
     139,   125,   140,   126,   141,   127,   506,     0,     0,     0,
     128,     0,   129,     0,   130,   131,     0,   132,     0,   133,
       0,   134,   135,     0,   136,   137,   138,   139,     0,   140,
       0,   141,     0,     0,     0,     0,     0,     0,     0,   507,
     128,     0,   129,     0,   130,   131,     0,   132,     0,   133,
       0,   134,   135,     0,   136,   137,   138,   139,     0,   140,
       0,   141
};

static const yytype_int16 yycheck[] =
{
      12,    14,    44,    16,    31,    16,    18,    16,   121,    21,
      16,    23,    16,    25,    16,    27,    16,    29,    30,    31,
      32,    33,    34,    16,    36,    16,    38,    16,    40,    16,
      42,    16,    44,    16,    46,    47,    16,    49,    16,    16,
      16,    16,    16,     0,    16,   109,    16,    59,    16,    61,
      16,    63,    16,    65,    16,    67,    16,    69,    16,    71,
      16,    73,    16,    75,    16,    77,    16,    79,    16,   117,
     118,   113,    16,    85,    16,    16,    16,    16,    16,    16,
      16,   122,    16,   114,    16,   114,   115,   116,   117,   118,
      16,   125,    16,   113,    16,   113,    16,    93,    16,    85,
      16,    16,    16,    16,   114,   115,   116,   117,   118,     3,
       4,    21,    22,   166,   113,     4,     5,   113,     7,   167,
       9,   113,    11,    31,   114,   115,   116,   117,   118,   165,
      42,   115,   116,   117,   118,   114,   165,    44,   167,    86,
     113,   153,   113,   155,   113,   157,   113,   159,   109,   110,
     113,   163,    81,    83,   166,   165,   142,   167,   113,   165,
     113,   165,    85,   165,   113,   165,    93,   153,    93,   155,
      98,   157,   165,   159,   165,    44,   165,   167,   165,    88,
     165,    98,   165,   167,    90,   165,   167,   165,   165,   165,
     165,   165,    81,   165,    83,   165,   100,   165,   103,   165,
      86,   165,   113,   165,   125,   165,    93,   165,    93,   165,
     113,   165,   114,   165,   113,   165,   114,   165,   230,   142,
     232,   165,   122,   165,   165,   165,   165,   165,   165,   165,
     153,   165,   155,   165,   157,   248,   159,   248,   250,   165,
     253,   165,   113,   165,   230,   165,   232,   165,   113,   165,
     165,   165,   165,    23,    24,    25,   100,    27,    28,    -1,
      30,    24,    25,    26,    27,    28,    -1,    30,    -1,    -1,
      -1,   384,   385,   386,   387,   388,    -1,   289,   291,    -1,
     293,    -1,   293,   295,    24,    25,   298,    27,    28,   301,
      30,    -1,   304,    -1,   306,    24,    25,    -1,    27,    28,
      -1,    30,   314,    -1,    -1,   317,    -1,   230,   320,   232,
      -1,   323,    -1,    -1,   326,    -1,   328,    -1,    -1,    -1,
     332,    -1,   334,    -1,   437,    -1,    -1,    -1,   340,    -1,
     342,    -1,   344,    -1,   346,    -1,   348,    -1,   350,    -1,
     352,    -1,   354,    -1,   356,   234,   358,   236,   360,   238,
      -1,   240,   241,   365,   243,   367,    -1,   369,    -1,   371,
     372,    -1,   374,    -1,    -1,   377,   479,    -1,    -1,    -1,
     382,    -1,   261,    -1,    24,    25,    -1,    27,    28,   365,
      30,   367,   394,   369,    -1,   371,   372,    -1,   374,    -1,
      -1,    -1,   281,    -1,   283,    -1,   285,    -1,    -1,    -1,
      -1,   413,    -1,   415,    -1,   417,    -1,    -1,   394,   421,
      -1,   423,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,    -1,   415,
      -1,   417,    -1,    41,    -1,    43,    -1,    45,    -1,    -1,
      -1,   453,   365,   455,   367,    -1,   369,    -1,   371,   372,
      -1,   374,    -1,    -1,    -1,   468,    -1,   468,   470,   472,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   453,    -1,   455,
      -1,   394,    80,   362,    82,   364,    84,    85,    -1,    87,
      -1,    89,    -1,    91,    92,    -1,    94,    95,    96,    97,
     413,    99,   415,   101,   417,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   523,    -1,   525,    -1,   527,    -1,    -1,   530,    -1,
     532,    -1,   534,    -1,    -1,   537,    -1,    -1,    -1,    -1,
     453,    -1,   455,    -1,    -1,    -1,    -1,   523,    -1,   525,
      -1,   527,    -1,    -1,   530,    -1,   532,    -1,    -1,    -1,
      -1,    -1,   538,    -1,   540,    -1,   164,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   457,    -1,
     459,    -1,   461,    -1,    -1,   464,    -1,   466,    -1,     6,
      -1,     8,    -1,    10,    -1,    -1,    13,    -1,    15,   478,
      17,   480,    19,    -1,    -1,    22,    -1,    24,    -1,    26,
     523,    28,   525,    -1,   527,    -1,    -1,   530,    35,   532,
      37,    -1,    39,    -1,    41,   538,    43,   540,    45,    -1,
      41,    48,    43,    50,    45,    -1,    -1,    -1,    -1,    56,
      -1,    58,    -1,    60,    -1,    62,    -1,    64,    41,    66,
      43,    68,    45,    70,    -1,    72,    -1,    74,    -1,    76,
      -1,    78,    -1,    80,    -1,    82,    -1,    84,    -1,    80,
      -1,    82,    -1,    84,    85,    -1,    87,    -1,    89,    -1,
      91,    92,    -1,    94,    95,    96,    97,    80,    99,    82,
     101,    84,    85,    -1,    87,    -1,    89,    -1,    91,    92,
      -1,    94,    95,    96,    97,    -1,    99,    -1,   101,    -1,
     127,    -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,   136,
     137,    -1,    -1,    -1,   141,    -1,    -1,    -1,    -1,    41,
      -1,    43,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   164,    -1,    -1,    -1,    41,    -1,    43,
      -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,
      82,   164,    84,    85,    -1,    87,    -1,    89,    -1,    91,
      92,    -1,    94,    95,    96,    97,    -1,    99,    -1,   101,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    82,    -1,
      84,    85,    -1,    87,    -1,    89,    -1,    91,    92,    -1,
      94,    95,    96,    97,    -1,    99,    -1,   101,   235,    -1,
     237,    -1,   239,    -1,    -1,   242,    -1,   244,    -1,    -1,
      -1,    -1,   249,    -1,   251,     6,     7,   254,     9,    10,
      -1,    12,    -1,    14,    15,    -1,    -1,    18,    -1,    20,
      21,    22,   164,    24,    25,    -1,    27,    28,    -1,    30,
      -1,    32,    33,    -1,    35,    36,    -1,    38,    39,    -1,
      41,    -1,    43,    -1,    45,    46,    47,   161,    49,    50,
      51,    52,    53,    54,    -1,    56,    57,    -1,    59,    60,
      -1,    62,    63,    64,    -1,    66,    -1,    68,    69,    70,
      -1,    72,    -1,    74,    75,    -1,    77,    78,    -1,    80,
      -1,    82,    -1,    84,    85,    -1,    87,    -1,    89,    -1,
      91,    92,    -1,    94,    95,    96,    97,    -1,    99,    -1,
     101,   102,    -1,   104,    -1,   106,    -1,   108,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   120,
     121,    -1,   123,   124,    -1,   126,   127,    -1,   129,   130,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,    -1,
     141,   142,    -1,   144,   145,    -1,   147,   148,    -1,   150,
     151,    -1,   153,   154,    -1,   156,   157,    -1,   159,   160,
      -1,   162,   163,     6,     7,    -1,     9,    10,    -1,    12,
      -1,    14,    15,    17,    -1,    18,    -1,    20,    21,    22,
      -1,    24,    25,    -1,    27,    28,    -1,    30,    -1,    32,
      33,    -1,    35,    36,    -1,    38,    39,    41,    -1,    43,
      -1,    45,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    54,    -1,    56,    57,    -1,    59,    60,    -1,    62,
      63,    64,    -1,    66,    -1,    68,    69,    70,    -1,    72,
      -1,    74,    75,    -1,    77,    78,    80,    -1,    82,    -1,
      84,    85,    -1,    87,    -1,    89,    -1,    91,    92,    -1,
      94,    95,    96,    97,    -1,    99,    -1,   101,    -1,   102,
      -1,   104,   105,   106,    -1,   108,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   120,   121,    -1,
     123,   124,    -1,   126,   127,    -1,   129,   130,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,    -1,   141,   142,
      -1,   144,   145,    -1,   147,   148,    -1,   150,   151,    -1,
     153,   154,    -1,   156,   157,    -1,   159,   160,    -1,   162,
     163,     6,     7,    -1,     9,    10,    -1,    12,    -1,    14,
      15,    17,    -1,    18,    -1,    20,    21,    22,    -1,    24,
      25,    -1,    27,    28,    -1,    30,    -1,    32,    33,    -1,
      35,    36,    -1,    38,    39,    41,    -1,    43,    -1,    45,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    54,
      -1,    56,    57,    -1,    59,    60,    -1,    62,    63,    64,
      -1,    66,    -1,    68,    69,    70,    -1,    72,    -1,    74,
      75,    -1,    77,    78,    80,    -1,    82,    -1,    84,    85,
      -1,    87,    -1,    89,    -1,    91,    92,    -1,    94,    95,
      96,    97,    -1,    99,    -1,   101,    -1,   102,    -1,   104,
      -1,   106,   107,   108,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   120,   121,    -1,   123,   124,
      -1,   126,   127,    -1,   129,   130,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,    -1,   141,   142,    -1,   144,
     145,    -1,   147,   148,    -1,   150,   151,    -1,   153,   154,
      -1,   156,   157,    -1,   159,   160,    -1,   162,   163,     6,
       7,    -1,     9,    10,    -1,    12,    -1,    14,    15,    -1,
      -1,    18,    -1,    20,    21,    22,    -1,    24,    25,    -1,
      27,    28,    -1,    30,    -1,    32,    33,    -1,    35,    36,
      -1,    38,    39,    -1,    -1,    -1,    -1,    -1,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    54,    -1,    56,
      57,    -1,    59,    60,    -1,    62,    63,    64,    -1,    66,
      -1,    68,    69,    70,    -1,    72,    -1,    74,    75,    -1,
      77,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   102,    -1,   104,    -1,   106,
      -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   120,   121,    -1,   123,   124,    -1,   126,
     127,    -1,   129,   130,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,    -1,   141,   142,    -1,   144,   145,    -1,
     147,   148,    -1,   150,   151,    -1,   153,   154,    -1,   156,
     157,    -1,   159,   160,    -1,   162,   163,     6,     7,    -1,
       9,    10,    -1,    12,    -1,    14,    15,    -1,    -1,    18,
      -1,    20,    21,    22,    -1,    24,    25,    -1,    27,    28,
      -1,    30,    -1,    32,    33,    -1,    35,    36,    -1,    38,
      39,    -1,    -1,    -1,    -1,    -1,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    54,    -1,    56,    57,    -1,
      59,    60,    -1,    62,    63,    64,    -1,    66,    -1,    68,
      69,    70,    -1,    72,    -1,    74,    75,    -1,    77,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,    -1,   104,    -1,   106,    -1,   108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   120,   121,    -1,   123,   124,    -1,   126,   127,    -1,
     129,   130,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,    -1,   141,   142,    -1,   144,   145,    -1,   147,   148,
      -1,   150,   151,    -1,   153,   154,    -1,   156,   157,    -1,
     159,   160,    -1,   162,   163,    41,    -1,    43,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    41,    -1,    43,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    41,    -1,    43,    80,    45,    82,    -1,    84,    85,
      -1,    87,    -1,    89,    -1,    91,    92,    -1,    94,    95,
      96,    97,    80,    99,    82,   101,    84,    85,    41,    87,
      43,    89,    45,    91,    92,    -1,    94,    95,    96,    97,
      80,    99,    82,   101,    84,    85,    -1,    87,    -1,    89,
      -1,    91,    92,    -1,    94,    95,    96,    97,    41,    99,
      43,   101,    45,    -1,    -1,    -1,    -1,    80,    -1,    82,
      -1,    84,    85,    -1,    87,    -1,    89,    -1,    91,    92,
      -1,    94,    95,    96,    97,   161,    99,    -1,   101,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    41,    80,    43,    82,
      45,    84,    85,   161,    87,    -1,    89,    -1,    91,    92,
      -1,    94,    95,    96,    97,    -1,    99,    -1,   101,    -1,
      -1,   161,    -1,    41,    -1,    43,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    -1,    82,    -1,    84,
      85,    -1,    87,    -1,    89,   158,    91,    92,    -1,    94,
      95,    96,    97,    41,    99,    43,   101,    45,    -1,    -1,
      -1,    -1,    80,    -1,    82,    -1,    84,    85,    -1,    87,
      -1,    89,    -1,    91,    92,   158,    94,    95,    96,    97,
      41,    99,    43,   101,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,    82,    -1,    84,    85,    -1,    87,
      -1,    89,    -1,    91,    92,    -1,    94,    95,    96,    97,
     155,    99,    41,   101,    43,    -1,    45,    -1,    -1,    80,
      -1,    82,    -1,    84,    85,    -1,    87,    -1,    89,    -1,
      91,    92,    -1,    94,    95,    96,    97,   155,    99,    41,
     101,    43,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    -1,    82,    -1,    84,    85,    41,    87,    43,
      89,    45,    91,    92,   152,    94,    95,    96,    97,    -1,
      99,    -1,   101,    -1,    -1,    41,    -1,    43,    80,    45,
      82,    -1,    84,    85,    -1,    87,    -1,    89,    -1,    91,
      92,   152,    94,    95,    96,    97,    80,    99,    82,   101,
      84,    85,    -1,    87,    -1,    89,    -1,    91,    92,    -1,
      94,    95,    96,    97,    80,    99,    82,   101,    84,    85,
     149,    87,    -1,    89,    -1,    91,    92,    -1,    94,    95,
      96,    97,    -1,    99,    -1,   101,    -1,    -1,    41,    -1,
      43,    -1,    45,    -1,    -1,    -1,    -1,   149,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    41,    -1,    43,    -1,
      45,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    41,    -1,    43,    80,    45,    82,
     146,    84,    85,    -1,    87,    -1,    89,    -1,    91,    92,
      -1,    94,    95,    96,    97,    80,    99,    82,   101,    84,
      85,    -1,    87,    -1,    89,    -1,    91,    92,    -1,    94,
      95,    96,    97,    80,    99,    82,   101,    84,    85,    -1,
      87,    -1,    89,    -1,    91,    92,    -1,    94,    95,    96,
      97,    41,    99,    43,   101,    45,    -1,    -1,    -1,    -1,
     143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    41,
      -1,    43,    -1,    45,    -1,    -1,    -1,    -1,   143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    -1,    82,   140,    84,    85,     5,    87,    -1,    89,
      -1,    91,    92,    -1,    94,    95,    96,    97,    80,    99,
      82,   101,    84,    85,    -1,    87,    -1,    89,    -1,    91,
      92,    -1,    94,    95,    96,    97,    -1,    99,    -1,   101,
      -1,    -1,    41,    -1,    43,    -1,    45,    -1,    -1,    -1,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     140,    -1,    41,    -1,    43,    -1,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,    -1,
      -1,    80,    -1,    82,    -1,    84,    85,    41,    87,    43,
      89,    45,    91,    92,    -1,    94,    95,    96,    97,    -1,
      99,    80,   101,    82,    -1,    84,    85,    -1,    87,    -1,
      89,     8,    91,    92,    -1,    94,    95,    96,    97,    -1,
      99,    41,   101,    43,    -1,    45,    80,    -1,    82,    -1,
      84,    85,    -1,    87,    -1,    89,    -1,    91,    92,    -1,
      94,    95,    96,    97,    41,    99,    43,   101,    45,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   137,    -1,
      80,    -1,    82,    -1,    84,    85,    -1,    87,     8,    89,
      -1,    91,    92,    -1,    94,    95,    96,    97,    41,    99,
      43,   101,    45,    80,    -1,    82,    -1,    84,    85,    -1,
      87,    -1,    89,    -1,    91,    92,    -1,    94,    95,    96,
      97,    41,    99,    43,   101,    45,     8,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   134,    -1,    -1,    80,    -1,    82,
      -1,    84,    85,    -1,    87,    -1,    89,    -1,    91,    92,
       8,    94,    95,    96,    97,    -1,    99,    -1,   101,    41,
      80,    43,    82,    45,    84,    85,    -1,    87,    -1,    89,
      -1,    91,    92,    -1,    94,    95,    96,    97,    -1,    99,
      -1,   101,    -1,    41,    -1,    43,    -1,    45,    -1,    -1,
      -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,
      82,    -1,    84,    85,    -1,    87,    -1,    89,    -1,    91,
      92,    -1,    94,    95,    96,    97,    41,    99,    43,   101,
      45,    -1,    80,    -1,    82,    -1,    84,    85,    -1,    87,
      -1,    89,    -1,    91,    92,    -1,    94,    95,    96,    97,
      -1,    99,    41,   101,    43,    11,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    -1,    82,    -1,    84,
      85,    -1,    87,    -1,    89,    -1,    91,    92,    -1,    94,
      95,    96,    97,    11,    99,    41,   101,    43,    -1,    45,
      -1,    80,    -1,    82,    -1,    84,    85,    -1,    87,    -1,
      89,    -1,    91,    92,    -1,    94,    95,    96,    97,    -1,
      99,    -1,   101,    41,    11,    43,   131,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    82,    -1,    84,    85,
      -1,    87,    -1,    89,    -1,    91,    92,    -1,    94,    95,
      96,    97,   131,    99,    41,   101,    43,    11,    45,    -1,
      -1,    -1,    80,    -1,    82,    -1,    84,    85,    -1,    87,
      -1,    89,    -1,    91,    92,    -1,    94,    95,    96,    97,
      -1,    99,    -1,   101,    -1,    13,    -1,    41,    -1,    43,
      -1,    45,    -1,    80,    -1,    82,    -1,    84,    85,    -1,
      87,    -1,    89,    -1,    91,    92,    -1,    94,    95,    96,
      97,    -1,    99,    41,   101,    43,    13,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    82,    -1,
      84,    85,    -1,    87,    -1,    89,    -1,    91,    92,    -1,
      94,    95,    96,    97,    41,    99,    43,   101,    45,    13,
      -1,    -1,    80,    -1,    82,    -1,    84,    85,    -1,    87,
      -1,    89,    -1,    91,    92,    -1,    94,    95,    96,    97,
      -1,    99,    -1,   101,    -1,    13,    -1,    41,    -1,    43,
      -1,    45,    -1,    80,    -1,    82,    -1,    84,    85,    -1,
      87,    -1,    89,    -1,    91,    92,    -1,    94,    95,    96,
      97,    -1,    99,    41,   101,    43,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    82,    -1,
      84,    85,    -1,    87,    -1,    89,    -1,    91,    92,    -1,
      94,    95,    96,    97,    41,    99,    43,   101,    45,    -1,
      -1,    -1,    80,    -1,    82,    -1,    84,    85,    -1,    87,
      -1,    89,    -1,    91,    92,    -1,    94,    95,    96,    97,
      41,    99,    43,   101,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    82,    -1,    84,    85,    -1,
      87,    -1,    89,    -1,    91,    92,    -1,    94,    95,    96,
      97,    -1,    99,    -1,   101,    -1,    -1,    -1,    -1,    80,
      -1,    82,    -1,    84,    85,    -1,    87,    -1,    89,    -1,
      91,    92,    -1,    94,    95,    96,    97,    32,    99,    34,
     101,   128,    -1,    18,    19,    -1,    41,    -1,    43,    -1,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    19,    -1,    -1,    -1,    41,   128,    43,    -1,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    41,    80,    43,    82,    45,    84,
      85,    -1,    87,    23,    89,    -1,    91,    92,    -1,    94,
      95,    96,    97,    -1,    99,    80,   101,    82,    -1,    84,
      85,    41,    87,    43,    89,    45,    91,    92,    -1,    94,
      95,    96,    97,    80,    99,    82,   101,    84,    85,    23,
      87,    -1,    89,    -1,    91,    92,    -1,    94,    95,    96,
      97,    -1,    99,    -1,   101,    -1,    -1,    41,    -1,    43,
      80,    45,    82,    -1,    84,    85,    23,    87,    -1,    89,
      -1,    91,    92,    -1,    94,    95,    96,    97,    -1,    99,
      -1,   101,    -1,    -1,    41,    -1,    43,    -1,    45,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    82,    -1,
      84,    85,    23,    87,    -1,    89,    -1,    91,    92,    -1,
      94,    95,    96,    97,    -1,    99,    -1,   101,    -1,    -1,
      41,    -1,    43,    80,    45,    82,    -1,    84,    85,    -1,
      87,    26,    89,    -1,    91,    92,    -1,    94,    95,    96,
      97,    -1,    99,    -1,   101,    -1,    41,    -1,    43,    -1,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      -1,    82,    26,    84,    85,    -1,    87,    -1,    89,    -1,
      91,    92,    -1,    94,    95,    96,    97,    41,    99,    43,
     101,    45,    -1,    -1,    -1,    80,    -1,    82,    26,    84,
      85,    -1,    87,    -1,    89,    -1,    91,    92,    -1,    94,
      95,    96,    97,    41,    99,    43,   101,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    82,    26,
      84,    85,    -1,    87,    -1,    89,    -1,    91,    92,    -1,
      94,    95,    96,    97,    41,    99,    43,   101,    45,    -1,
      -1,    -1,    80,    -1,    82,    -1,    84,    85,    29,    87,
      -1,    89,    -1,    91,    92,    -1,    94,    95,    96,    97,
      41,    99,    43,   101,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    82,    -1,    84,    85,    29,
      87,    -1,    89,    -1,    91,    92,    -1,    94,    95,    96,
      97,    41,    99,    43,   101,    45,    -1,    -1,    -1,    80,
      -1,    82,    -1,    84,    85,    29,    87,    -1,    89,    -1,
      91,    92,    -1,    94,    95,    96,    97,    41,    99,    43,
     101,    45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    -1,    82,    -1,    84,    85,    29,    87,    -1,    89,
      -1,    91,    92,    -1,    94,    95,    96,    97,    41,    99,
      43,   101,    45,    -1,    -1,    -1,    80,    -1,    82,    -1,
      84,    85,    -1,    87,    -1,    89,    -1,    91,    92,    34,
      94,    95,    96,    97,    -1,    99,    41,   101,    43,    -1,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    82,
      -1,    84,    85,    -1,    87,    -1,    89,    -1,    91,    92,
      -1,    94,    95,    96,    97,    37,    99,    -1,   101,    41,
      -1,    43,    -1,    45,    -1,    80,    -1,    82,    -1,    84,
      85,    -1,    87,    -1,    89,    -1,    91,    92,    -1,    94,
      95,    96,    97,    35,    99,    37,   101,    -1,    -1,    41,
      -1,    43,    -1,    45,    -1,    -1,    -1,    -1,    80,    -1,
      82,    -1,    84,    85,    -1,    87,    -1,    89,    -1,    91,
      92,    -1,    94,    95,    96,    97,    -1,    99,    38,   101,
      40,    41,    -1,    43,    -1,    45,    -1,    -1,    80,    -1,
      82,    -1,    84,    85,    -1,    87,    -1,    89,    -1,    91,
      92,    -1,    94,    95,    96,    97,    -1,    99,    -1,   101,
      40,    41,    -1,    43,    -1,    45,    -1,    -1,    -1,    -1,
      80,    -1,    82,    -1,    84,    85,    -1,    87,    -1,    89,
      -1,    91,    92,    -1,    94,    95,    96,    97,    -1,    99,
      -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    -1,    82,    -1,    84,    85,    -1,    87,    -1,    89,
      -1,    91,    92,    -1,    94,    95,    96,    97,    41,    99,
      43,   101,    45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    54,    55,    -1,    -1,    -1,    41,    -1,    43,    -1,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    57,    58,    -1,    -1,    -1,    80,    -1,    82,
      -1,    84,    85,    -1,    87,    -1,    89,    -1,    91,    92,
      -1,    94,    95,    96,    97,    80,    99,    82,   101,    84,
      85,    41,    87,    43,    89,    45,    91,    92,    -1,    94,
      95,    96,    97,    -1,    99,    -1,   101,    -1,    -1,    -1,
      60,    61,    -1,    -1,    41,    -1,    43,    -1,    45,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    -1,    82,    -1,    84,    85,    63,    87,    65,    89,
      -1,    91,    92,    -1,    94,    95,    96,    97,    -1,    99,
      41,   101,    43,    80,    45,    82,    -1,    84,    85,    -1,
      87,    -1,    89,    -1,    91,    92,    -1,    94,    95,    96,
      97,    -1,    99,    -1,   101,    66,    67,    -1,    41,    -1,
      43,    -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      -1,    82,    -1,    84,    85,    -1,    87,    -1,    89,    -1,
      91,    92,    -1,    94,    95,    96,    97,    -1,    99,    -1,
     101,    74,    -1,    76,    -1,    -1,    41,    80,    43,    82,
      45,    84,    85,    48,    87,    -1,    89,    -1,    91,    92,
      -1,    94,    95,    96,    97,    -1,    99,    -1,   101,    41,
      -1,    43,    -1,    45,    -1,    -1,    48,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    -1,    82,    -1,    84,
      85,    41,    87,    43,    89,    45,    91,    92,    48,    94,
      95,    96,    97,    -1,    99,    -1,   101,    -1,    80,    -1,
      82,    -1,    84,    85,    41,    87,    43,    89,    45,    91,
      92,    48,    94,    95,    96,    97,    -1,    99,    -1,   101,
      80,    -1,    82,    -1,    84,    85,    41,    87,    43,    89,
      45,    91,    92,    48,    94,    95,    96,    97,    -1,    99,
      -1,   101,    -1,    80,    -1,    82,    -1,    84,    85,    41,
      87,    43,    89,    45,    91,    92,    48,    94,    95,    96,
      97,    -1,    99,    -1,   101,    80,    -1,    82,    -1,    84,
      85,    41,    87,    43,    89,    45,    91,    92,    -1,    94,
      95,    96,    97,    -1,    99,    -1,   101,    -1,    80,    -1,
      82,    -1,    84,    85,    -1,    87,    -1,    89,    -1,    91,
      92,    71,    94,    95,    96,    97,    -1,    99,    -1,   101,
      80,    -1,    82,    -1,    84,    85,    41,    87,    43,    89,
      45,    91,    92,    -1,    94,    95,    96,    97,    -1,    99,
      -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    41,
      -1,    43,    -1,    45,    -1,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    -1,    82,    -1,    84,
      85,    41,    87,    43,    89,    45,    91,    92,    48,    94,
      95,    96,    97,    -1,    99,    -1,   101,    79,    80,    -1,
      82,    -1,    84,    85,    41,    87,    43,    89,    45,    91,
      92,    -1,    94,    95,    96,    97,    -1,    99,    55,   101,
      80,    -1,    82,    -1,    84,    85,    41,    87,    43,    89,
      45,    91,    92,    -1,    94,    95,    96,    97,    -1,    99,
      -1,   101,    -1,    80,    -1,    82,    61,    84,    85,    41,
      87,    43,    89,    45,    91,    92,    -1,    94,    95,    96,
      97,    -1,    99,    -1,   101,    80,    58,    82,    -1,    84,
      85,    -1,    87,    -1,    89,    -1,    91,    92,    -1,    94,
      95,    96,    97,    -1,    99,    -1,   101,    41,    80,    43,
      82,    45,    84,    85,    -1,    87,    -1,    89,    -1,    91,
      92,    -1,    94,    95,    96,    97,    -1,    99,    -1,   101,
      41,    65,    43,    -1,    45,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    82,    -1,
      84,    85,    -1,    87,    -1,    89,    67,    91,    92,    -1,
      94,    95,    96,    97,    41,    99,    43,   101,    45,    80,
      -1,    82,    -1,    84,    85,    -1,    87,    -1,    89,    -1,
      91,    92,    -1,    94,    95,    96,    97,    -1,    99,    -1,
     101,    41,    -1,    43,    71,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    82,    -1,    84,    85,    -1,
      87,    -1,    89,    -1,    91,    92,    -1,    94,    95,    96,
      97,    41,    99,    43,   101,    45,    76,    -1,    -1,    -1,
      80,    -1,    82,    -1,    84,    85,    -1,    87,    -1,    89,
      -1,    91,    92,    -1,    94,    95,    96,    97,    -1,    99,
      -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    82,    -1,    84,    85,    -1,    87,    -1,    89,
      -1,    91,    92,    -1,    94,    95,    96,    97,    -1,    99,
      -1,   101
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,     3,     4,   169,   204,     6,     7,     9,    10,    12,
      14,    15,    18,    20,    21,    22,    24,    25,    27,    28,
      30,    32,    33,    35,    36,    38,    39,    46,    47,    49,
      50,    51,    52,    53,    54,    56,    57,    59,    60,    62,
      63,    64,    66,    68,    69,    70,    72,    74,    75,    77,
      78,   102,   104,   106,   108,   120,   121,   123,   124,   126,
     127,   129,   130,   132,   133,   135,   136,   138,   139,   141,
     142,   144,   145,   147,   148,   150,   151,   153,   154,   156,
     157,   159,   160,   162,   163,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   216,
     219,   222,    16,   215,     0,    41,    43,    45,    80,    82,
      84,    85,    87,    89,    91,    92,    94,    95,    96,    97,
      99,   101,   170,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   170,   215,   170,   215,   170,   215,   170,
     204,   215,    23,   188,   215,    26,   187,   188,   215,   204,
     215,    31,   204,   215,   204,   215,   204,   215,   204,   215,
     204,   204,   204,   204,   204,   204,   215,   204,   215,   204,
     215,   204,   215,   204,   215,   204,   215,   204,   204,   215,
     204,   215,   109,   217,   122,   215,   125,   215,   204,   215,
     204,   215,   204,   215,   204,   215,   204,   215,   204,   215,
     204,   215,   204,   215,   204,   215,   204,   215,   204,   215,
     170,   215,   170,   215,     6,     7,     9,    10,    12,    14,
      15,   159,   160,   162,   163,   171,   204,   216,    24,    25,
      27,    28,    30,    21,    22,   109,   110,   218,   218,   114,
      16,   165,   113,    44,   113,   215,   113,   113,   113,   215,
     113,   113,   113,   113,   215,   215,   113,   113,   113,   215,
     204,   165,   204,   165,   204,   165,   204,    18,    19,   165,
     204,   165,   204,   165,    29,   165,    32,    34,   165,    35,
      37,   165,    38,    40,   165,    48,   165,    48,    48,    48,
      48,    48,    54,    55,   165,    57,    58,   165,    60,    61,
     165,    63,    65,   165,    66,    67,   165,    71,   165,    73,
      74,    76,   165,    79,   165,   166,   165,   165,   165,   128,
     165,   131,   165,   134,   165,   137,   165,   140,   165,   143,
     165,   146,   165,   149,   165,   152,   165,   155,   165,   158,
     165,   204,   165,   204,   165,   170,   215,   170,   215,   170,
     215,   170,   170,   215,   170,   215,     5,   187,   215,   204,
     215,    31,   188,   215,   114,   115,   116,   117,   118,   165,
     167,   165,   113,   114,   170,    42,    44,   165,    81,    83,
      86,   165,    88,    90,    93,    93,   165,   165,    98,    98,
     100,   165,     8,   170,    11,   170,    13,   170,    17,   204,
      23,   188,    26,   187,   204,   204,   204,   204,   204,   204,
     204,   204,   204,   204,   204,   204,   204,   114,   103,   122,
     125,   204,   204,   204,   204,   204,   204,   204,   204,   204,
     204,   204,   161,   170,   164,   170,   204,   165,   204,   165,
     204,   165,   204,   204,   165,   204,   165,   204,   165,    29,
     165,   204,   165,   218,   218,   218,   218,   218,   220,   114,
     224,   113,   204,   113,   113,   113,    93,   113,   113,   204,
     204,   204,    19,   204,   204,    29,    34,    37,    40,    48,
      55,    58,    61,    65,    67,    71,    76,    79,   218,   128,
     131,   134,   137,   140,   143,   146,   149,   152,   155,   158,
     204,   204,     8,   170,    11,   170,    13,   170,    17,   161,
     170,   164,   170,    26,   187,   204,    23,   188,   170,   218,
     170,     5,    44,    86,    93,    93,   100,     8,    11,    13,
      23,    26,   161,   164,   204,   204,   204,   204,   204,   204,
      29,   204,   105,   221,   107,   223,     8,    11,    13,   161,
     164,    26,    23
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_uint8 yyr1[] =
{
       0,   168,   169,   169,   169,   170,   170,   170,   170,   170,
     170,   170,   170,   170,   170,   170,   170,   170,   170,   170,
     170,   170,   170,   170,   170,   170,   170,   170,   170,   170,
     170,   171,   171,   171,   171,   171,   171,   171,   171,   171,
     171,   171,   171,   171,   171,   171,   171,   171,   171,   171,
     171,   171,   171,   171,   171,   171,   171,   171,   171,   172,
     172,   172,   173,   173,   173,   174,   174,   174,   175,   175,
     175,   176,   176,   176,   177,   177,   177,   177,   177,   177,
     177,   178,   178,   178,   179,   179,   179,   180,   180,   180,
     181,   181,   181,   182,   182,   182,   183,   183,   184,   185,
     185,   186,   186,   186,   186,   186,   187,   187,   187,   188,
     188,   188,   188,   188,   189,   189,   189,   189,   190,   190,
     191,   191,   192,   192,   193,   193,   194,   194,   195,   195,
     196,   196,   197,   197,   198,   198,   199,   199,   200,   200,
     201,   201,   202,   202,   203,   203,   204,   204,   204,   204,
     204,   204,   204,   204,   204,   204,   204,   205,   206,   207,
     208,   209,   210,   210,   210,   210,   210,   211,   211,   212,
     212,   213,   213,   214,   214,   214,   215,   215,   216,   216,
     216,   216,   217,   218,   218,   218,   218,   218,   218,   218,
     218,   219,   220,   221,   222,   223,   224
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     2,     4,     6,     1,     2,     1,     2,     4,
       5,     6,     7,     4,     5,     6,     7,     4,     5,     6,
       7,     4,     5,     6,     7,     4,     5,     6,     7,     4,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       5,     3,     3,     5,     3,     3,     5,     3,     3,     5,
       3,     3,     5,     3,     3,     5,     3,     3,     3,     3,
       3,     3,     5,     3,     3,     5,     3,     3,     5,     3,
       3,     5,     3,     3,     5,     3,     3,     5,     3,     3,
       5,     2,     4,     5,     6,     7,     1,     1,     1,     2,
       4,     5,     6,     7,     3,     4,     5,     6,     2,     3,
       2,     4,     2,     4,     3,     5,     3,     5,     3,     5,
       3,     5,     3,     5,     3,     5,     3,     5,     3,     5,
       3,     5,     3,     5,     3,     5,     0,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     3,     3,     3,
       3,     3,     3,     5,     3,     5,     4,     3,     3,     3,
       5,     3,     5,     3,     2,     5,     3,     4,     4,     1,
       6,     6,     4,     1,     1,     3,     3,     3,     3,     3,
       4,     1,     0,     1,     1,     1,     0
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* window: attr wlist  */
#line 167 "../src/gtkdialog_parser.y"
               { 
    		token_store(PUSH | WIDGET_WINDOW); 
		start_up();
	}
#line 2472 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 3: /* window: WINDOW wlist attr EWINDOW  */
#line 171 "../src/gtkdialog_parser.y"
                              { 
    		token_store(PUSH | WIDGET_WINDOW); 
		start_up();
	}
#line 2481 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 4: /* window: PART_WINDOW tagattr '>' wlist attr EWINDOW  */
#line 175 "../src/gtkdialog_parser.y"
                                               { 
    		token_store_attr(PUSH | WIDGET_WINDOW, (yyvsp[-4].nvval)); 
		start_up();
	}
#line 2490 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 6: /* wlist: wlist widget  */
#line 185 "../src/gtkdialog_parser.y"
                       { 
		token_store(SUM);      
	}
#line 2498 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 9: /* wlist: VBOX wlist attr EVBOX  */
#line 190 "../src/gtkdialog_parser.y"
                            { 
		token_store(PUSH | WIDGET_VBOX); 
	}
#line 2506 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 10: /* wlist: wlist VBOX wlist attr EVBOX  */
#line 193 "../src/gtkdialog_parser.y"
                                  { 
		token_store(PUSH | WIDGET_VBOX); 
		token_store(SUM);      
	}
#line 2515 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 11: /* wlist: PART_VBOX tagattr '>' wlist attr EVBOX  */
#line 197 "../src/gtkdialog_parser.y"
                                           {
		token_store_attr(PUSH | WIDGET_VBOX, (yyvsp[-4].nvval)); 
	}
#line 2523 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 12: /* wlist: wlist PART_VBOX tagattr '>' wlist attr EVBOX  */
#line 200 "../src/gtkdialog_parser.y"
                                                 {
		token_store_attr(PUSH | WIDGET_VBOX, (yyvsp[-4].nvval)); 
		token_store(SUM);      
	}
#line 2532 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 13: /* wlist: HBOX wlist attr EHBOX  */
#line 204 "../src/gtkdialog_parser.y"
                            { 
		token_store(PUSH | WIDGET_HBOX); 
	}
#line 2540 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 14: /* wlist: wlist HBOX wlist attr EHBOX  */
#line 207 "../src/gtkdialog_parser.y"
                                  { 
		token_store(PUSH | WIDGET_HBOX); 
		token_store(SUM);      
	}
#line 2549 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 15: /* wlist: PART_HBOX tagattr '>' wlist attr EHBOX  */
#line 211 "../src/gtkdialog_parser.y"
                                           {
		token_store_attr(PUSH | WIDGET_HBOX, (yyvsp[-4].nvval)); 
	}
#line 2557 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 16: /* wlist: wlist PART_HBOX tagattr '>' wlist attr EHBOX  */
#line 214 "../src/gtkdialog_parser.y"
                                                 {
		token_store_attr(PUSH | WIDGET_HBOX, (yyvsp[-4].nvval)); 
		token_store(SUM);      
	}
#line 2566 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 17: /* wlist: EVENTBOX wlist attr EEVENTBOX  */
#line 218 "../src/gtkdialog_parser.y"
                                    { 
		token_store(PUSH | WIDGET_EVENTBOX); 
	}
#line 2574 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 18: /* wlist: wlist EVENTBOX wlist attr EEVENTBOX  */
#line 221 "../src/gtkdialog_parser.y"
                                          { 
		token_store(PUSH | WIDGET_EVENTBOX); 
		token_store(SUM);      
	}
#line 2583 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 19: /* wlist: PART_EVENTBOX tagattr '>' wlist attr EEVENTBOX  */
#line 225 "../src/gtkdialog_parser.y"
                                                   {
		token_store_attr(PUSH | WIDGET_EVENTBOX, (yyvsp[-4].nvval)); 
	}
#line 2591 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 20: /* wlist: wlist PART_EVENTBOX tagattr '>' wlist attr EEVENTBOX  */
#line 228 "../src/gtkdialog_parser.y"
                                                         {
		token_store_attr(PUSH | WIDGET_EVENTBOX, (yyvsp[-4].nvval)); 
		token_store(SUM);      
	}
#line 2600 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 21: /* wlist: EXPANDER wlist attr EEXPANDER  */
#line 232 "../src/gtkdialog_parser.y"
                                    { 
		token_store(PUSH | WIDGET_EXPANDER); 
	}
#line 2608 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 22: /* wlist: wlist EXPANDER wlist attr EEXPANDER  */
#line 235 "../src/gtkdialog_parser.y"
                                          { 
		token_store(PUSH | WIDGET_EXPANDER); 
		token_store(SUM);      
	}
#line 2617 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 23: /* wlist: PART_EXPANDER tagattr '>' wlist attr EEXPANDER  */
#line 239 "../src/gtkdialog_parser.y"
                                                   {
		token_store_attr(PUSH | WIDGET_EXPANDER, (yyvsp[-4].nvval)); 
	}
#line 2625 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 24: /* wlist: wlist PART_EXPANDER tagattr '>' wlist attr EEXPANDER  */
#line 242 "../src/gtkdialog_parser.y"
                                                         {
		token_store_attr(PUSH | WIDGET_EXPANDER, (yyvsp[-4].nvval)); 
		token_store(SUM);      
	}
#line 2634 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 25: /* wlist: NOTEBOOK wlist attr ENOTEBOOK  */
#line 246 "../src/gtkdialog_parser.y"
                                    { 
		token_store(PUSH | WIDGET_NOTEBOOK); 
	}
#line 2642 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 26: /* wlist: wlist NOTEBOOK wlist attr ENOTEBOOK  */
#line 249 "../src/gtkdialog_parser.y"
                                          { 
		token_store(PUSH | WIDGET_NOTEBOOK); 
		token_store(SUM);      
	}
#line 2651 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 27: /* wlist: PART_NOTEBOOK tagattr '>' wlist attr ENOTEBOOK  */
#line 253 "../src/gtkdialog_parser.y"
                                                   {
		token_store_attr(PUSH | WIDGET_NOTEBOOK, (yyvsp[-4].nvval));
	}
#line 2659 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 28: /* wlist: wlist PART_NOTEBOOK tagattr '>' wlist attr ENOTEBOOK  */
#line 256 "../src/gtkdialog_parser.y"
                                                         {
		token_store_attr(PUSH | WIDGET_NOTEBOOK, (yyvsp[-4].nvval));
		token_store(SUM);      
	}
#line 2668 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 29: /* wlist: FRAME wlist attr EFRAME  */
#line 260 "../src/gtkdialog_parser.y"
                            { 
		token_store_with_argument(SET|ATTR_LABEL, (yyvsp[-3].cval)); 
		token_store(PUSH | WIDGET_FRAME); 
	}
#line 2677 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 30: /* wlist: wlist FRAME wlist attr EFRAME  */
#line 264 "../src/gtkdialog_parser.y"
                                  { 
		token_store_with_argument(SET|ATTR_LABEL, (yyvsp[-3].cval)); 
		token_store(PUSH | WIDGET_FRAME); 
		token_store(SUM);      
	}
#line 2687 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 59: /* entry: ENTRY attr EENTRY  */
#line 303 "../src/gtkdialog_parser.y"
                      {
                          token_store(PUSH | WIDGET_ENTRY); 
			 }
#line 2695 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 60: /* entry: PART_ENTRY tagattr '>' attr EENTRY  */
#line 306 "../src/gtkdialog_parser.y"
                                       {
                token_store_attr(PUSH | WIDGET_ENTRY, (yyvsp[-3].nvval));
	}
#line 2703 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 61: /* entry: ENTRY attr ENTRY  */
#line 309 "../src/gtkdialog_parser.y"
                     {
                  yyerror("</entry> expected instead of <entry>.");}
#line 2710 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 62: /* edit: EDIT attr EEDIT  */
#line 314 "../src/gtkdialog_parser.y"
                     {
    		token_store(PUSH | WIDGET_EDIT); 
	}
#line 2718 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 63: /* edit: PART_EDIT tagattr '>' attr EEDIT  */
#line 317 "../src/gtkdialog_parser.y"
                                     {
    		token_store_attr(PUSH | WIDGET_EDIT, (yyvsp[-3].nvval)); 
    	}
#line 2726 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 64: /* edit: EDIT attr EDIT  */
#line 320 "../src/gtkdialog_parser.y"
                     {
    		yyerror("</edit> expected instead of <edit>.");
	}
#line 2734 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 65: /* tree: TREE attr ETREE  */
#line 326 "../src/gtkdialog_parser.y"
                     {
		token_store(PUSH | WIDGET_TREE); 
	}
#line 2742 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 66: /* tree: PART_TREE tagattr '>' attr ETREE  */
#line 329 "../src/gtkdialog_parser.y"
                                     {
    		token_store_attr(PUSH | WIDGET_TREE, (yyvsp[-3].nvval)); 
	}
#line 2750 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 67: /* tree: TREE attr TREE  */
#line 332 "../src/gtkdialog_parser.y"
                   {
   		yyerror("</tree> expected instead of <tree>.");
	}
#line 2758 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 68: /* chooser: CHOOSER attr ECHOOSER  */
#line 338 "../src/gtkdialog_parser.y"
                           {
		token_store(PUSH | WIDGET_CHOOSER); 
	}
#line 2766 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 69: /* chooser: PART_CHOOSER tagattr '>' attr ECHOOSER  */
#line 341 "../src/gtkdialog_parser.y"
                                           {
		token_store_attr(PUSH | WIDGET_CHOOSER, (yyvsp[-3].nvval)); 
	}
#line 2774 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 70: /* chooser: CHOOSER attr CHOOSER  */
#line 344 "../src/gtkdialog_parser.y"
                         {
		yyerror("</chooser> expected instead of <chooser>.");
	}
#line 2782 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 71: /* text: TEXT attr ETEXT  */
#line 350 "../src/gtkdialog_parser.y"
                    {
		token_store(PUSH | WIDGET_TEXT); 
	}
#line 2790 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 72: /* text: PART_TEXT tagattr '>' attr ETEXT  */
#line 353 "../src/gtkdialog_parser.y"
                                     {
                token_store_attr(PUSH | WIDGET_TEXT, (yyvsp[-3].nvval));
	}
#line 2798 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 73: /* text: TEXT attr TEXT  */
#line 356 "../src/gtkdialog_parser.y"
                    {yyerror("</text> expected instead of <text>.");}
#line 2804 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 74: /* button: BUTTON attr EBUTTON  */
#line 360 "../src/gtkdialog_parser.y"
                              {token_store(PUSH | WIDGET_BUTTON);  }
#line 2810 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 75: /* button: PART_BUTTON tagattr '>' attr EBUTTON  */
#line 361 "../src/gtkdialog_parser.y"
                                         {
                token_store_attr(PUSH | WIDGET_BUTTON, (yyvsp[-3].nvval));
	}
#line 2818 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 76: /* button: BUTTONOK attr EBUTTON  */
#line 364 "../src/gtkdialog_parser.y"
                              {token_store(PUSH | WIDGET_OKBUTTON);}
#line 2824 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 77: /* button: BUTTONCANCEL attr EBUTTON  */
#line 365 "../src/gtkdialog_parser.y"
                              {token_store(PUSH | WIDGET_CANCELBUTTON);}
#line 2830 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 78: /* button: BUTTONHELP attr EBUTTON  */
#line 366 "../src/gtkdialog_parser.y"
                              {token_store(PUSH | WIDGET_HELPBUTTON);}
#line 2836 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 79: /* button: BUTTONNO attr EBUTTON  */
#line 367 "../src/gtkdialog_parser.y"
                              {token_store(PUSH | WIDGET_NOBUTTON);}
#line 2842 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 80: /* button: BUTTONYES attr EBUTTON  */
#line 368 "../src/gtkdialog_parser.y"
                              {token_store(PUSH | WIDGET_YESBUTTON);}
#line 2848 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 81: /* checkbox: CHECKBOX attr ECHECKBOX  */
#line 372 "../src/gtkdialog_parser.y"
                            {
		token_store(PUSH | WIDGET_CHECKBOX);
	}
#line 2856 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 82: /* checkbox: PART_CHECKBOX tagattr '>' attr ECHECKBOX  */
#line 375 "../src/gtkdialog_parser.y"
                                             {
		//token_store_with_tag_attributes(PUSH | WIDGET_CHECKBOX, $2);
                token_store_attr(PUSH | WIDGET_CHECKBOX, (yyvsp[-3].nvval));
	}
#line 2865 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 83: /* checkbox: CHECKBOX attr CHECKBOX  */
#line 379 "../src/gtkdialog_parser.y"
                            {
		yyerror("</checkbox> expected instead of <checkbox>.");
	}
#line 2873 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 84: /* radiobutton: RADIO attr ERADIO  */
#line 385 "../src/gtkdialog_parser.y"
                         {
	   	token_store(PUSH | WIDGET_RADIOBUTTON);
           }
#line 2881 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 85: /* radiobutton: PART_RADIO tagattr '>' attr ERADIO  */
#line 388 "../src/gtkdialog_parser.y"
                                       {
                token_store_attr(PUSH | WIDGET_RADIOBUTTON, (yyvsp[-3].nvval));
	   }
#line 2889 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 86: /* radiobutton: RADIO attr RADIO  */
#line 391 "../src/gtkdialog_parser.y"
                      {
		yyerror("</radiobutton> expected instead of <radiobutton>.");
           }
#line 2897 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 87: /* progressbar: PROGRESSBAR attr EPROGRESSBAR  */
#line 397 "../src/gtkdialog_parser.y"
                                  {
	   	token_store(PUSH | WIDGET_PROGRESSBAR);
           }
#line 2905 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 88: /* progressbar: PART_PROGRESSBAR tagattr '>' attr EPROGRESSBAR  */
#line 400 "../src/gtkdialog_parser.y"
                                                   {
                token_store_attr(PUSH | WIDGET_PROGRESSBAR, (yyvsp[-3].nvval));
	   }
#line 2913 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 89: /* progressbar: PROGRESSBAR attr PROGRESSBAR  */
#line 403 "../src/gtkdialog_parser.y"
                                  {
		yyerror("</progressbar> expected instead of <progressbar>.");
           }
#line 2921 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 90: /* list: LIST attr ELIST  */
#line 409 "../src/gtkdialog_parser.y"
                    {
		token_store(PUSH | WIDGET_LIST); 
	}
#line 2929 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 91: /* list: PART_LIST tagattr '>' attr ELIST  */
#line 412 "../src/gtkdialog_parser.y"
                                     {
		token_store_attr(PUSH | WIDGET_LIST, (yyvsp[-3].nvval)); 
    	}
#line 2937 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 92: /* list: LIST attr LIST  */
#line 415 "../src/gtkdialog_parser.y"
                     {
    		yyerror("</list> expected instead of <list>.");
	}
#line 2945 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 93: /* table: TABLE attr ETABLE  */
#line 421 "../src/gtkdialog_parser.y"
                      {
		token_store(PUSH | WIDGET_TABLE); 
	}
#line 2953 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 94: /* table: PART_TABLE tagattr '>' attr ETABLE  */
#line 424 "../src/gtkdialog_parser.y"
                                       {
		token_store_attr(PUSH | WIDGET_TABLE, (yyvsp[-3].nvval)); 
    	}
#line 2961 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 95: /* table: TABLE attr TABLE  */
#line 427 "../src/gtkdialog_parser.y"
                       {
    		yyerror("</table> expected instead of <table>.");
	}
#line 2969 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 96: /* combobox: COMBOBOX attr ECOMBOBOX  */
#line 433 "../src/gtkdialog_parser.y"
                                             {
    		token_store(PUSH | WIDGET_COMBOBOX);
	}
#line 2977 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 97: /* combobox: PART_COMBOBOX tagattr '>' attr ECOMBOBOX  */
#line 436 "../src/gtkdialog_parser.y"
                                             {
    		token_store_attr(PUSH | WIDGET_COMBOBOX, (yyvsp[-3].nvval));
	}
#line 2985 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 98: /* gvim: GVIM attr EGVIM  */
#line 442 "../src/gtkdialog_parser.y"
                                {token_store(PUSH | WIDGET_GVIM);}
#line 2991 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 99: /* pixmap: PIXMAP attr EPIXMAP  */
#line 446 "../src/gtkdialog_parser.y"
                              {token_store(PUSH | WIDGET_PIXMAP);}
#line 2997 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 100: /* pixmap: PART_PIXMAP tagattr '>' attr EPIXMAP  */
#line 447 "../src/gtkdialog_parser.y"
                                         {
    		token_store_attr(PUSH | WIDGET_PIXMAP, (yyvsp[-3].nvval));
	}
#line 3005 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 101: /* menubar: MENUBAR EMENUBAR  */
#line 460 "../src/gtkdialog_parser.y"
                     {
		yyerror("The menubar widget requires at least one menu widget.");
	}
#line 3013 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 102: /* menubar: MENUBAR menu attr EMENUBAR  */
#line 463 "../src/gtkdialog_parser.y"
                               {
		token_store(PUSH | WIDGET_MENUBAR);
	}
#line 3021 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 103: /* menubar: menu MENUBAR menu attr EMENUBAR  */
#line 466 "../src/gtkdialog_parser.y"
                                    {
		token_store(PUSH | WIDGET_MENUBAR);
		token_store(SUM);
	}
#line 3030 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 104: /* menubar: PART_MENUBAR tagattr '>' menu attr EMENUBAR  */
#line 470 "../src/gtkdialog_parser.y"
                                                {
		token_store_attr(PUSH | WIDGET_MENUBAR, (yyvsp[-4].nvval));
	}
#line 3038 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 105: /* menubar: menu PART_MENUBAR tagattr '>' menu attr EMENUBAR  */
#line 473 "../src/gtkdialog_parser.y"
                                                     {
		token_store_attr(PUSH | WIDGET_MENUBAR, (yyvsp[-4].nvval));
		token_store(SUM);
	}
#line 3047 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 109: /* menu: MENU EMENU  */
#line 486 "../src/gtkdialog_parser.y"
               {
		yyerror("The menu widget requires at least one menuitem widget.");
	}
#line 3055 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 110: /* menu: MENU menuwlist attr EMENU  */
#line 489 "../src/gtkdialog_parser.y"
                              {
		token_store(PUSH | WIDGET_MENU);
	}
#line 3063 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 111: /* menu: menuwlist MENU menuwlist attr EMENU  */
#line 492 "../src/gtkdialog_parser.y"
                                        {
		token_store(PUSH | WIDGET_MENU);
		token_store(SUM);
	}
#line 3072 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 112: /* menu: PART_MENU tagattr '>' menuwlist attr EMENU  */
#line 496 "../src/gtkdialog_parser.y"
                                               {
		token_store_attr(PUSH | WIDGET_MENU, (yyvsp[-4].nvval));
	}
#line 3080 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 113: /* menu: menuwlist PART_MENU tagattr '>' menuwlist attr EMENU  */
#line 499 "../src/gtkdialog_parser.y"
                                                         {
		token_store_attr(PUSH | WIDGET_MENU, (yyvsp[-4].nvval));
		token_store(SUM);
	}
#line 3089 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 114: /* menuitem: MENUITEM attr EMENUITEM  */
#line 506 "../src/gtkdialog_parser.y"
                            {
		token_store(PUSH | WIDGET_MENUITEM);
	}
#line 3097 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 115: /* menuitem: menuwlist MENUITEM attr EMENUITEM  */
#line 509 "../src/gtkdialog_parser.y"
                                      {
		token_store(PUSH | WIDGET_MENUITEM);
		token_store(SUM);
	}
#line 3106 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 116: /* menuitem: PART_MENUITEM tagattr '>' attr EMENUITEM  */
#line 513 "../src/gtkdialog_parser.y"
                                             {
		token_store_attr(PUSH | WIDGET_MENUITEM, (yyvsp[-3].nvval));
	}
#line 3114 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 117: /* menuitem: menuwlist PART_MENUITEM tagattr '>' attr EMENUITEM  */
#line 516 "../src/gtkdialog_parser.y"
                                                       {
		token_store_attr(PUSH | WIDGET_MENUITEM, (yyvsp[-3].nvval));
		token_store(SUM);
	}
#line 3123 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 118: /* menuitemseparator: MENUITEMSEPARATOR EMENUITEMSEPARATOR  */
#line 523 "../src/gtkdialog_parser.y"
                                         {
		token_store(PUSH | WIDGET_MENUITEMSEPARATOR);
	}
#line 3131 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 119: /* menuitemseparator: menuwlist MENUITEMSEPARATOR EMENUITEMSEPARATOR  */
#line 526 "../src/gtkdialog_parser.y"
                                                   {
		token_store(PUSH | WIDGET_MENUITEMSEPARATOR);
		token_store(SUM);
	}
#line 3140 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 120: /* hseparator: HSEPARATOR EHSEPARATOR  */
#line 533 "../src/gtkdialog_parser.y"
                           {
		token_store(PUSH | WIDGET_HSEPARATOR);
	}
#line 3148 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 121: /* hseparator: PART_HSEPARATOR tagattr '>' EHSEPARATOR  */
#line 536 "../src/gtkdialog_parser.y"
                                            {
		token_store_attr(PUSH | WIDGET_HSEPARATOR, (yyvsp[-2].nvval));
	}
#line 3156 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 122: /* vseparator: VSEPARATOR EVSEPARATOR  */
#line 542 "../src/gtkdialog_parser.y"
                           {
		token_store(PUSH | WIDGET_VSEPARATOR);
	}
#line 3164 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 123: /* vseparator: PART_VSEPARATOR tagattr '>' EVSEPARATOR  */
#line 545 "../src/gtkdialog_parser.y"
                                            {
		token_store_attr(PUSH | WIDGET_VSEPARATOR, (yyvsp[-2].nvval));
	}
#line 3172 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 124: /* comboboxtext: COMBOBOXTEXT attr ECOMBOBOXTEXT  */
#line 551 "../src/gtkdialog_parser.y"
                                    {
		token_store(PUSH | WIDGET_COMBOBOXTEXT);
	}
#line 3180 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 125: /* comboboxtext: PART_COMBOBOXTEXT tagattr '>' attr ECOMBOBOXTEXT  */
#line 554 "../src/gtkdialog_parser.y"
                                                     {
		token_store_attr(PUSH | WIDGET_COMBOBOXTEXT, (yyvsp[-3].nvval));
	}
#line 3188 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 126: /* comboboxentry: COMBOBOXENTRY attr ECOMBOBOXENTRY  */
#line 560 "../src/gtkdialog_parser.y"
                                      {
		token_store(PUSH | WIDGET_COMBOBOXENTRY);
	}
#line 3196 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 127: /* comboboxentry: PART_COMBOBOXENTRY tagattr '>' attr ECOMBOBOXENTRY  */
#line 563 "../src/gtkdialog_parser.y"
                                                       {
		token_store_attr(PUSH | WIDGET_COMBOBOXENTRY, (yyvsp[-3].nvval));
	}
#line 3204 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 128: /* hscale: HSCALE attr EHSCALE  */
#line 569 "../src/gtkdialog_parser.y"
                        {
		token_store(PUSH | WIDGET_HSCALE);
	}
#line 3212 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 129: /* hscale: PART_HSCALE tagattr '>' attr EHSCALE  */
#line 572 "../src/gtkdialog_parser.y"
                                         {
		token_store_attr(PUSH | WIDGET_HSCALE, (yyvsp[-3].nvval));
	}
#line 3220 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 130: /* vscale: VSCALE attr EVSCALE  */
#line 578 "../src/gtkdialog_parser.y"
                        {
		token_store(PUSH | WIDGET_VSCALE);
	}
#line 3228 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 131: /* vscale: PART_VSCALE tagattr '>' attr EVSCALE  */
#line 581 "../src/gtkdialog_parser.y"
                                         {
		token_store_attr(PUSH | WIDGET_VSCALE, (yyvsp[-3].nvval));
	}
#line 3236 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 132: /* spinbutton: SPINBUTTON attr ESPINBUTTON  */
#line 587 "../src/gtkdialog_parser.y"
                                {
		token_store(PUSH | WIDGET_SPINBUTTON);
	}
#line 3244 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 133: /* spinbutton: PART_SPINBUTTON tagattr '>' attr ESPINBUTTON  */
#line 590 "../src/gtkdialog_parser.y"
                                                 {
		token_store_attr(PUSH | WIDGET_SPINBUTTON, (yyvsp[-3].nvval));
	}
#line 3252 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 134: /* timer: TIMER attr ETIMER  */
#line 596 "../src/gtkdialog_parser.y"
                      {
		token_store(PUSH | WIDGET_TIMER);
	}
#line 3260 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 135: /* timer: PART_TIMER tagattr '>' attr ETIMER  */
#line 599 "../src/gtkdialog_parser.y"
                                       {
		token_store_attr(PUSH | WIDGET_TIMER, (yyvsp[-3].nvval));
	}
#line 3268 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 136: /* togglebutton: TOGGLEBUTTON attr ETOGGLEBUTTON  */
#line 605 "../src/gtkdialog_parser.y"
                                    {
		token_store(PUSH | WIDGET_TOGGLEBUTTON);
	}
#line 3276 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 137: /* togglebutton: PART_TOGGLEBUTTON tagattr '>' attr ETOGGLEBUTTON  */
#line 608 "../src/gtkdialog_parser.y"
                                                     {
		token_store_attr(PUSH | WIDGET_TOGGLEBUTTON, (yyvsp[-3].nvval));
	}
#line 3284 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 138: /* statusbar: STATUSBAR attr ESTATUSBAR  */
#line 614 "../src/gtkdialog_parser.y"
                              {
		token_store(PUSH | WIDGET_STATUSBAR);
	}
#line 3292 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 139: /* statusbar: PART_STATUSBAR tagattr '>' attr ESTATUSBAR  */
#line 617 "../src/gtkdialog_parser.y"
                                               {
		token_store_attr(PUSH | WIDGET_STATUSBAR, (yyvsp[-3].nvval));
	}
#line 3300 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 140: /* colorbutton: COLORBUTTON attr ECOLORBUTTON  */
#line 623 "../src/gtkdialog_parser.y"
                                  {
		token_store(PUSH | WIDGET_COLORBUTTON);
	}
#line 3308 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 141: /* colorbutton: PART_COLORBUTTON tagattr '>' attr ECOLORBUTTON  */
#line 626 "../src/gtkdialog_parser.y"
                                                   {
		token_store_attr(PUSH | WIDGET_COLORBUTTON, (yyvsp[-3].nvval));
	}
#line 3316 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 142: /* fontbutton: FONTBUTTON attr EFONTBUTTON  */
#line 632 "../src/gtkdialog_parser.y"
                                {
		token_store(PUSH | WIDGET_FONTBUTTON);
	}
#line 3324 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 143: /* fontbutton: PART_FONTBUTTON tagattr '>' attr EFONTBUTTON  */
#line 635 "../src/gtkdialog_parser.y"
                                                 {
		token_store_attr(PUSH | WIDGET_FONTBUTTON, (yyvsp[-3].nvval));
	}
#line 3332 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 144: /* terminal: TERMINAL attr ETERMINAL  */
#line 641 "../src/gtkdialog_parser.y"
                            {
		token_store(PUSH | WIDGET_TERMINAL);
	}
#line 3340 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 145: /* terminal: PART_TERMINAL tagattr '>' attr ETERMINAL  */
#line 644 "../src/gtkdialog_parser.y"
                                             {
		token_store_attr(PUSH | WIDGET_TERMINAL, (yyvsp[-3].nvval));
	}
#line 3348 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 157: /* label: LABEL STRING ELABEL  */
#line 664 "../src/gtkdialog_parser.y"
                                    {
		token_store_with_argument( SET | ATTR_LABEL, (yyvsp[-1].cval));     }
#line 3355 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 158: /* sensitive: SENSITIVE STRING ESENSITIVE  */
#line 669 "../src/gtkdialog_parser.y"
                                      {
     token_store_with_argument( SET | ATTR_SENSITIVE, (yyvsp[-1].cval));  }
#line 3362 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 159: /* defaultvalue: DEFAULT STRING EDEFAULT  */
#line 674 "../src/gtkdialog_parser.y"
                             {
     token_store_with_argument( SET | ATTR_DEFAULT, (yyvsp[-1].cval));   }
#line 3369 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 160: /* width: WIDTH STRING EWIDTH  */
#line 679 "../src/gtkdialog_parser.y"
                                    {
     token_store_with_argument( SET | ATTR_WIDTH, (yyvsp[-1].cval));    }
#line 3376 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 161: /* height: HEIGHT STRING EHEIGHT  */
#line 684 "../src/gtkdialog_parser.y"
                                    {
     token_store_with_argument( SET | ATTR_HEIGHT, (yyvsp[-1].cval));   }
#line 3383 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 162: /* input: INPUT STRING EINPUT  */
#line 689 "../src/gtkdialog_parser.y"
                           { 
		token_store_with_argument(SET|ATTR_INPUT|SUB_ATTR_SHELL,(yyvsp[-1].cval));
	}
#line 3391 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 163: /* input: PART_INPUT tagattr '>' STRING EINPUT  */
#line 692 "../src/gtkdialog_parser.y"
                                         {
		token_store_with_argument_attr(SET|ATTR_INPUT, (yyvsp[-1].cval), (yyvsp[-3].nvval)); 
	}
#line 3399 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 164: /* input: INPUTFILE STRING EINPUT  */
#line 695 "../src/gtkdialog_parser.y"
                             { 
		token_store_with_argument(SET|ATTR_INPUT|SUB_ATTR_FILE,(yyvsp[-1].cval)); 
	}
#line 3407 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 165: /* input: PART_INPUTFILE tagattr '>' STRING EINPUT  */
#line 698 "../src/gtkdialog_parser.y"
                                             {
		token_store_with_argument_attr(SET|ATTR_INPUT|SUB_ATTR_FILE, (yyvsp[-1].cval), (yyvsp[-3].nvval)); 
	}
#line 3415 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 166: /* input: PART_INPUTFILE tagattr '>' EINPUT  */
#line 701 "../src/gtkdialog_parser.y"
                                      {
		token_store_with_argument_attr(SET|ATTR_INPUT|SUB_ATTR_FILE, "", (yyvsp[-2].nvval)); 
	}
#line 3423 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 167: /* output: OUTPUT STRING EOUTPUT  */
#line 707 "../src/gtkdialog_parser.y"
                          {
	         fprintf( stderr, "<output>: Not implemented.\n" ); 
	}
#line 3431 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 168: /* output: OUTPUTFILE STRING EOUTPUT  */
#line 710 "../src/gtkdialog_parser.y"
                              {
         	token_store_with_argument(SET|ATTR_OUTPUT|SUB_ATTR_FILE,(yyvsp[-1].cval));
	}
#line 3439 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 169: /* variable: VARIABLE STRING EVARIABLE  */
#line 716 "../src/gtkdialog_parser.y"
                              { 
		token_store_with_argument( SET | ATTR_VARIABLE, (yyvsp[-1].cval));
	}
#line 3447 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 170: /* variable: PART_VARIABLE tagattr '>' STRING EVARIABLE  */
#line 719 "../src/gtkdialog_parser.y"
                                               {
		token_store_with_argument_attr(SET | ATTR_VARIABLE, (yyvsp[-1].cval), (yyvsp[-3].nvval));
	}
#line 3455 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 171: /* action: ACTION STRING EACTION  */
#line 725 "../src/gtkdialog_parser.y"
                           { 
		token_store_with_argument( SET|ATTR_ACTION, (yyvsp[-1].cval)); 
	}
#line 3463 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 172: /* action: PART_ACTION tagattr '>' STRING EACTION  */
#line 728 "../src/gtkdialog_parser.y"
                                           {
		token_store_with_argument_attr(SET | ATTR_ACTION, (yyvsp[-1].cval), (yyvsp[-3].nvval));
	}
#line 3471 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 173: /* item: ITEM STRING EITEM  */
#line 734 "../src/gtkdialog_parser.y"
                      { 
		token_store_with_argument( SET | ATTR_ITEM, (yyvsp[-1].cval));
	}
#line 3479 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 174: /* item: ITEM EITEM  */
#line 737 "../src/gtkdialog_parser.y"
               {
		token_store_with_argument( SET | ATTR_ITEM, "");
    	}
#line 3487 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 175: /* item: PART_ITEM tagattr '>' STRING EITEM  */
#line 740 "../src/gtkdialog_parser.y"
                                       {
		      token_store_with_argument_attr(SET | ATTR_ITEM, (yyvsp[-1].cval), (yyvsp[-3].nvval));
                    }
#line 3495 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 176: /* tagattr: TAG_ATTR_NAME '=' STRING  */
#line 746 "../src/gtkdialog_parser.y"
                             {
       		(yyval.nvval) = new_tag_attributeset((yyvsp[-2].cval), (yyvsp[0].cval)); 
	}
#line 3503 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 177: /* tagattr: tagattr TAG_ATTR_NAME '=' STRING  */
#line 749 "../src/gtkdialog_parser.y"
                                     { 
       		(yyval.nvval) = add_tag_attribute((yyvsp[-3].nvval), (yyvsp[-2].cval), (yyvsp[0].cval)); 
	}
#line 3511 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 179: /* imperative: SHOW_WIDGETS  */
#line 756 "../src/gtkdialog_parser.y"
                 { 
		token_store(SHOW);     
	}
#line 3519 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 180: /* imperative: if expression '>' then wlist endif  */
#line 759 "../src/gtkdialog_parser.y"
                                       {
  		instruction_set_jump((yyvsp[-2].ival), (yyvsp[0].ival) + 1);
	}
#line 3527 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 181: /* imperative: while expression '>' do wlist ewhile  */
#line 762 "../src/gtkdialog_parser.y"
                                         {
		instruction_set_jump((yyvsp[-2].ival), (yyvsp[0].ival) + 1);
		instruction_set_jump((yyvsp[0].ival) + 1, (yyvsp[-5].ival));
	}
#line 3536 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 182: /* assignment: EMB_VARIABLE ':' '=' expression  */
#line 769 "../src/gtkdialog_parser.y"
                                    {
		token_store_with_argument(IMASSG | VARIABLE_NAME, (yyvsp[-3].cval)); 
	}
#line 3544 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 183: /* expression: EMB_VARIABLE  */
#line 775 "../src/gtkdialog_parser.y"
                 {
		token_store_with_argument(IMPUSH | VARIABLE_NAME, (yyvsp[0].cval)); 
	}
#line 3552 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 184: /* expression: EMB_NUMBER  */
#line 778 "../src/gtkdialog_parser.y"
               {
		token_store_with_argument(IMPUSH | CONST_NUMBER, (yyvsp[0].cval)); 
  	}
#line 3560 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 185: /* expression: expression '+' expression  */
#line 781 "../src/gtkdialog_parser.y"
                              {
  		token_store(IMPUSH | OP_ADD);
	}
#line 3568 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 186: /* expression: expression '-' expression  */
#line 784 "../src/gtkdialog_parser.y"
                              {
  		token_store(IMPUSH | OP_SUBST);
	}
#line 3576 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 187: /* expression: expression '*' expression  */
#line 787 "../src/gtkdialog_parser.y"
                              {
  		token_store(IMPUSH | OP_MULT);
	}
#line 3584 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 188: /* expression: expression '/' expression  */
#line 790 "../src/gtkdialog_parser.y"
                              {
  		token_store(IMPUSH | OP_DIV);
	}
#line 3592 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 189: /* expression: expression '=' expression  */
#line 793 "../src/gtkdialog_parser.y"
                              {
  		token_store(IMPUSH | REL_EQ);
	}
#line 3600 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 190: /* expression: expression '!' '=' expression  */
#line 796 "../src/gtkdialog_parser.y"
                                  {
  		token_store(IMPUSH | REL_NE);
	}
#line 3608 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 192: /* then: %empty  */
#line 806 "../src/gtkdialog_parser.y"
        { 
		token_store(IFNGOTO); 
		(yyval.ival) = instruction_get_pc();
	}
#line 3617 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 193: /* endif: ENDIF  */
#line 813 "../src/gtkdialog_parser.y"
           { (yyval.ival) = instruction_get_pc(); }
#line 3623 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 194: /* while: WHILE  */
#line 817 "../src/gtkdialog_parser.y"
          { (yyval.ival) = instruction_get_pc(); }
#line 3629 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 195: /* ewhile: EWHILE  */
#line 821 "../src/gtkdialog_parser.y"
           {
		token_store(GOTO); 
		(yyval.ival) = instruction_get_pc();
	}
#line 3638 "src/gtkdialog.p/gtkdialog_parser.c"
    break;

  case 196: /* do: %empty  */
#line 828 "../src/gtkdialog_parser.y"
    { 
		token_store(IFNGOTO); 
		(yyval.ival) = instruction_get_pc();
    }
#line 3647 "src/gtkdialog.p/gtkdialog_parser.c"
    break;


#line 3651 "src/gtkdialog.p/gtkdialog_parser.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 834 "../src/gtkdialog_parser.y"


extern gboolean option_print_ir;

int gtkdialog_wrap(void)
{
	#ifdef DEBUG
	g_message("%s(): Start", __func__);
	#endif
	return 1;
}

int gtkdialog_error(char *c)
{
	g_error("%s: Error in line %d, near token '%s': %s\n", 
		PACKAGE, linenumber, Token, c);
}

void yyerror_simple(char *c)
{
	g_error("%s: Error: %s", PACKAGE, c);
}

int yywarning(char *c){
	#ifdef DEBUG
		g_warning("Warning: %s.", c);
	#endif
	if (!option_no_warning)
		g_warning("%s: Warning: %s.", PACKAGE, c);
	return option_no_warning;
}

